// Copyright 2022 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: chromiumos/test_disablement.proto

package chromiumos

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This enum encapsulates both the question "should we run this test?"
// and the question "if this test fails, what should we do?" into a
// single enum value, along with potentially other information (e.g.
// WONT_FIX and SKIP_TEMPORARY both result in not executing the test,
// but communicate different future intent about whether we'll fix it
// eventually). FailureResponse encapsulates the concept of what to do
// in response to a failure, and whether to execute can be captured as
// a boolean.
type TestDisablement_TestBehavior int32

const (
	TestDisablement_CRITICAL TestDisablement_TestBehavior = 0
	// Used to inform exoneration system.
	TestDisablement_INFORMATIONAL TestDisablement_TestBehavior = 1
	// Not used in test disablement (this is an intrinsic property of the
	// test and will be configured in the source tree near the test, not a
	// transient one covered by disablement), but it's included here
	// because we expect to reuse the enumeration.
	TestDisablement_INVALID        TestDisablement_TestBehavior = 2
	TestDisablement_WONT_FIX       TestDisablement_TestBehavior = 3
	TestDisablement_SKIP_TEMPORARY TestDisablement_TestBehavior = 4
)

// Enum value maps for TestDisablement_TestBehavior.
var (
	TestDisablement_TestBehavior_name = map[int32]string{
		0: "CRITICAL",
		1: "INFORMATIONAL",
		2: "INVALID",
		3: "WONT_FIX",
		4: "SKIP_TEMPORARY",
	}
	TestDisablement_TestBehavior_value = map[string]int32{
		"CRITICAL":       0,
		"INFORMATIONAL":  1,
		"INVALID":        2,
		"WONT_FIX":       3,
		"SKIP_TEMPORARY": 4,
	}
)

func (x TestDisablement_TestBehavior) Enum() *TestDisablement_TestBehavior {
	p := new(TestDisablement_TestBehavior)
	*p = x
	return p
}

func (x TestDisablement_TestBehavior) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TestDisablement_TestBehavior) Descriptor() protoreflect.EnumDescriptor {
	return file_chromiumos_test_disablement_proto_enumTypes[0].Descriptor()
}

func (TestDisablement_TestBehavior) Type() protoreflect.EnumType {
	return &file_chromiumos_test_disablement_proto_enumTypes[0]
}

func (x TestDisablement_TestBehavior) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TestDisablement_TestBehavior.Descriptor instead.
func (TestDisablement_TestBehavior) EnumDescriptor() ([]byte, []int) {
	return file_chromiumos_test_disablement_proto_rawDescGZIP(), []int{0, 0}
}

// Defines a configuration for disabling a test or set of tests.
type TestDisablement struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Optional human friendly name
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Filter criteria related to the DUT on which the test will be run
	// (e.g. model, wifi_chip).
	DutCriteria []*TestDisablement_FilterCriterion `protobuf:"bytes,2,rep,name=dut_criteria,json=dutCriteria,proto3" json:"dut_criteria,omitempty"`
	// Filter criteria related to the tests to run (e.g. test ID, suite).
	TestCriteria []*TestDisablement_FilterCriterion `protobuf:"bytes,3,rep,name=test_criteria,json=testCriteria,proto3" json:"test_criteria,omitempty"`
	// Filter criteria related to the context of this test execution
	// (e.g. stage=CQ/postsubmit/release).
	ContextCriteria []*TestDisablement_FilterCriterion `protobuf:"bytes,4,rep,name=context_criteria,json=contextCriteria,proto3" json:"context_criteria,omitempty"`
	// The behavior the test runner should use for all tests matching
	// test_criteria when executed on DUTs matching dut_criteria in a
	// context matching context_criteria.
	Behavior TestDisablement_TestBehavior `protobuf:"varint,5,opt,name=behavior,proto3,enum=chromiumos.TestDisablement_TestBehavior" json:"behavior,omitempty"`
	// The bug or bugs that need to be fixed before this disablement can be
	// removed. e.g. "b/1234567"
	BugIds []string `protobuf:"bytes,6,rep,name=bug_ids,json=bugIds,proto3" json:"bug_ids,omitempty"`
}

func (x *TestDisablement) Reset() {
	*x = TestDisablement{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_test_disablement_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TestDisablement) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TestDisablement) ProtoMessage() {}

func (x *TestDisablement) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_test_disablement_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TestDisablement.ProtoReflect.Descriptor instead.
func (*TestDisablement) Descriptor() ([]byte, []int) {
	return file_chromiumos_test_disablement_proto_rawDescGZIP(), []int{0}
}

func (x *TestDisablement) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *TestDisablement) GetDutCriteria() []*TestDisablement_FilterCriterion {
	if x != nil {
		return x.DutCriteria
	}
	return nil
}

func (x *TestDisablement) GetTestCriteria() []*TestDisablement_FilterCriterion {
	if x != nil {
		return x.TestCriteria
	}
	return nil
}

func (x *TestDisablement) GetContextCriteria() []*TestDisablement_FilterCriterion {
	if x != nil {
		return x.ContextCriteria
	}
	return nil
}

func (x *TestDisablement) GetBehavior() TestDisablement_TestBehavior {
	if x != nil {
		return x.Behavior
	}
	return TestDisablement_CRITICAL
}

func (x *TestDisablement) GetBugIds() []string {
	if x != nil {
		return x.BugIds
	}
	return nil
}

// Defines a configuration proto that encapsulates the individual
// disablements.
type TestDisablementCfg struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Disablements []*TestDisablement `protobuf:"bytes,1,rep,name=disablements,proto3" json:"disablements,omitempty"`
}

func (x *TestDisablementCfg) Reset() {
	*x = TestDisablementCfg{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_test_disablement_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TestDisablementCfg) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TestDisablementCfg) ProtoMessage() {}

func (x *TestDisablementCfg) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_test_disablement_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TestDisablementCfg.ProtoReflect.Descriptor instead.
func (*TestDisablementCfg) Descriptor() ([]byte, []int) {
	return file_chromiumos_test_disablement_proto_rawDescGZIP(), []int{1}
}

func (x *TestDisablementCfg) GetDisablements() []*TestDisablement {
	if x != nil {
		return x.Disablements
	}
	return nil
}

// Defines a config proto that captures the suites and tests to be
// excluded from exoneration/disablement.
type ExcludeCfg struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ExcludeTests  []*ExcludeCfg_ExcludeTest  `protobuf:"bytes,1,rep,name=exclude_tests,json=excludeTests,proto3" json:"exclude_tests,omitempty"`
	ExcludeSuites []*ExcludeCfg_ExcludeSuite `protobuf:"bytes,2,rep,name=exclude_suites,json=excludeSuites,proto3" json:"exclude_suites,omitempty"`
}

func (x *ExcludeCfg) Reset() {
	*x = ExcludeCfg{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_test_disablement_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExcludeCfg) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExcludeCfg) ProtoMessage() {}

func (x *ExcludeCfg) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_test_disablement_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExcludeCfg.ProtoReflect.Descriptor instead.
func (*ExcludeCfg) Descriptor() ([]byte, []int) {
	return file_chromiumos_test_disablement_proto_rawDescGZIP(), []int{2}
}

func (x *ExcludeCfg) GetExcludeTests() []*ExcludeCfg_ExcludeTest {
	if x != nil {
		return x.ExcludeTests
	}
	return nil
}

func (x *ExcludeCfg) GetExcludeSuites() []*ExcludeCfg_ExcludeSuite {
	if x != nil {
		return x.ExcludeSuites
	}
	return nil
}

type TestDisablement_FilterCriterion struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key     string   `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Values  []string `protobuf:"bytes,2,rep,name=values,proto3" json:"values,omitempty"`
	Negated bool     `protobuf:"varint,3,opt,name=negated,proto3" json:"negated,omitempty"`
}

func (x *TestDisablement_FilterCriterion) Reset() {
	*x = TestDisablement_FilterCriterion{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_test_disablement_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TestDisablement_FilterCriterion) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TestDisablement_FilterCriterion) ProtoMessage() {}

func (x *TestDisablement_FilterCriterion) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_test_disablement_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TestDisablement_FilterCriterion.ProtoReflect.Descriptor instead.
func (*TestDisablement_FilterCriterion) Descriptor() ([]byte, []int) {
	return file_chromiumos_test_disablement_proto_rawDescGZIP(), []int{0, 0}
}

func (x *TestDisablement_FilterCriterion) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *TestDisablement_FilterCriterion) GetValues() []string {
	if x != nil {
		return x.Values
	}
	return nil
}

func (x *TestDisablement_FilterCriterion) GetNegated() bool {
	if x != nil {
		return x.Negated
	}
	return false
}

// Define exclude test config.
type ExcludeCfg_ExcludeTest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *ExcludeCfg_ExcludeTest) Reset() {
	*x = ExcludeCfg_ExcludeTest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_test_disablement_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExcludeCfg_ExcludeTest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExcludeCfg_ExcludeTest) ProtoMessage() {}

func (x *ExcludeCfg_ExcludeTest) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_test_disablement_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExcludeCfg_ExcludeTest.ProtoReflect.Descriptor instead.
func (*ExcludeCfg_ExcludeTest) Descriptor() ([]byte, []int) {
	return file_chromiumos_test_disablement_proto_rawDescGZIP(), []int{2, 0}
}

func (x *ExcludeCfg_ExcludeTest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

// Define exclude suite config.
type ExcludeCfg_ExcludeSuite struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *ExcludeCfg_ExcludeSuite) Reset() {
	*x = ExcludeCfg_ExcludeSuite{}
	if protoimpl.UnsafeEnabled {
		mi := &file_chromiumos_test_disablement_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExcludeCfg_ExcludeSuite) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExcludeCfg_ExcludeSuite) ProtoMessage() {}

func (x *ExcludeCfg_ExcludeSuite) ProtoReflect() protoreflect.Message {
	mi := &file_chromiumos_test_disablement_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExcludeCfg_ExcludeSuite.ProtoReflect.Descriptor instead.
func (*ExcludeCfg_ExcludeSuite) Descriptor() ([]byte, []int) {
	return file_chromiumos_test_disablement_proto_rawDescGZIP(), []int{2, 1}
}

func (x *ExcludeCfg_ExcludeSuite) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

var File_chromiumos_test_disablement_proto protoreflect.FileDescriptor

var file_chromiumos_test_disablement_proto_rawDesc = []byte{
	0x0a, 0x21, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x74, 0x65, 0x73,
	0x74, 0x5f, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x22,
	0xb5, 0x04, 0x0a, 0x0f, 0x54, 0x65, 0x73, 0x74, 0x44, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x4e, 0x0a, 0x0c, 0x64, 0x75, 0x74, 0x5f, 0x63,
	0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x61, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2b, 0x2e,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x54, 0x65, 0x73, 0x74, 0x44,
	0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x46, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x43, 0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x6f, 0x6e, 0x52, 0x0b, 0x64, 0x75, 0x74, 0x43,
	0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x61, 0x12, 0x50, 0x0a, 0x0d, 0x74, 0x65, 0x73, 0x74, 0x5f,
	0x63, 0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x61, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2b,
	0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x54, 0x65, 0x73, 0x74,
	0x44, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x46, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x43, 0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x6f, 0x6e, 0x52, 0x0c, 0x74, 0x65, 0x73,
	0x74, 0x43, 0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x61, 0x12, 0x56, 0x0a, 0x10, 0x63, 0x6f, 0x6e,
	0x74, 0x65, 0x78, 0x74, 0x5f, 0x63, 0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x61, 0x18, 0x04, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x54, 0x65, 0x73, 0x74, 0x44, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
	0x2e, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x43, 0x72, 0x69, 0x74, 0x65, 0x72, 0x69, 0x6f, 0x6e,
	0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x78, 0x74, 0x43, 0x72, 0x69, 0x74, 0x65, 0x72, 0x69,
	0x61, 0x12, 0x44, 0x0a, 0x08, 0x62, 0x65, 0x68, 0x61, 0x76, 0x69, 0x6f, 0x72, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x28, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x54, 0x65, 0x73, 0x74, 0x44, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
	0x2e, 0x54, 0x65, 0x73, 0x74, 0x42, 0x65, 0x68, 0x61, 0x76, 0x69, 0x6f, 0x72, 0x52, 0x08, 0x62,
	0x65, 0x68, 0x61, 0x76, 0x69, 0x6f, 0x72, 0x12, 0x17, 0x0a, 0x07, 0x62, 0x75, 0x67, 0x5f, 0x69,
	0x64, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x62, 0x75, 0x67, 0x49, 0x64, 0x73,
	0x1a, 0x55, 0x0a, 0x0f, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x43, 0x72, 0x69, 0x74, 0x65, 0x72,
	0x69, 0x6f, 0x6e, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x18,
	0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x12, 0x18, 0x0a,
	0x07, 0x6e, 0x65, 0x67, 0x61, 0x74, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07,
	0x6e, 0x65, 0x67, 0x61, 0x74, 0x65, 0x64, 0x22, 0x5e, 0x0a, 0x0c, 0x54, 0x65, 0x73, 0x74, 0x42,
	0x65, 0x68, 0x61, 0x76, 0x69, 0x6f, 0x72, 0x12, 0x0c, 0x0a, 0x08, 0x43, 0x52, 0x49, 0x54, 0x49,
	0x43, 0x41, 0x4c, 0x10, 0x00, 0x12, 0x11, 0x0a, 0x0d, 0x49, 0x4e, 0x46, 0x4f, 0x52, 0x4d, 0x41,
	0x54, 0x49, 0x4f, 0x4e, 0x41, 0x4c, 0x10, 0x01, 0x12, 0x0b, 0x0a, 0x07, 0x49, 0x4e, 0x56, 0x41,
	0x4c, 0x49, 0x44, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08, 0x57, 0x4f, 0x4e, 0x54, 0x5f, 0x46, 0x49,
	0x58, 0x10, 0x03, 0x12, 0x12, 0x0a, 0x0e, 0x53, 0x4b, 0x49, 0x50, 0x5f, 0x54, 0x45, 0x4d, 0x50,
	0x4f, 0x52, 0x41, 0x52, 0x59, 0x10, 0x04, 0x22, 0x55, 0x0a, 0x12, 0x54, 0x65, 0x73, 0x74, 0x44,
	0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x66, 0x67, 0x12, 0x3f, 0x0a,
	0x0c, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73,
	0x2e, 0x54, 0x65, 0x73, 0x74, 0x44, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74,
	0x52, 0x0c, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x22, 0xe8,
	0x01, 0x0a, 0x0a, 0x45, 0x78, 0x63, 0x6c, 0x75, 0x64, 0x65, 0x43, 0x66, 0x67, 0x12, 0x47, 0x0a,
	0x0d, 0x65, 0x78, 0x63, 0x6c, 0x75, 0x64, 0x65, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x73, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f,
	0x73, 0x2e, 0x45, 0x78, 0x63, 0x6c, 0x75, 0x64, 0x65, 0x43, 0x66, 0x67, 0x2e, 0x45, 0x78, 0x63,
	0x6c, 0x75, 0x64, 0x65, 0x54, 0x65, 0x73, 0x74, 0x52, 0x0c, 0x65, 0x78, 0x63, 0x6c, 0x75, 0x64,
	0x65, 0x54, 0x65, 0x73, 0x74, 0x73, 0x12, 0x4a, 0x0a, 0x0e, 0x65, 0x78, 0x63, 0x6c, 0x75, 0x64,
	0x65, 0x5f, 0x73, 0x75, 0x69, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x23,
	0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x45, 0x78, 0x63, 0x6c,
	0x75, 0x64, 0x65, 0x43, 0x66, 0x67, 0x2e, 0x45, 0x78, 0x63, 0x6c, 0x75, 0x64, 0x65, 0x53, 0x75,
	0x69, 0x74, 0x65, 0x52, 0x0d, 0x65, 0x78, 0x63, 0x6c, 0x75, 0x64, 0x65, 0x53, 0x75, 0x69, 0x74,
	0x65, 0x73, 0x1a, 0x21, 0x0a, 0x0b, 0x45, 0x78, 0x63, 0x6c, 0x75, 0x64, 0x65, 0x54, 0x65, 0x73,
	0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x1a, 0x22, 0x0a, 0x0c, 0x45, 0x78, 0x63, 0x6c, 0x75, 0x64, 0x65,
	0x53, 0x75, 0x69, 0x74, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x42, 0x59, 0x0a, 0x21, 0x63, 0x6f, 0x6d,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x2e, 0x63,
	0x72, 0x6f, 0x73, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5a, 0x34,
	0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f,
	0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69,
	0x75, 0x6d, 0x6f, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_chromiumos_test_disablement_proto_rawDescOnce sync.Once
	file_chromiumos_test_disablement_proto_rawDescData = file_chromiumos_test_disablement_proto_rawDesc
)

func file_chromiumos_test_disablement_proto_rawDescGZIP() []byte {
	file_chromiumos_test_disablement_proto_rawDescOnce.Do(func() {
		file_chromiumos_test_disablement_proto_rawDescData = protoimpl.X.CompressGZIP(file_chromiumos_test_disablement_proto_rawDescData)
	})
	return file_chromiumos_test_disablement_proto_rawDescData
}

var file_chromiumos_test_disablement_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_chromiumos_test_disablement_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_chromiumos_test_disablement_proto_goTypes = []interface{}{
	(TestDisablement_TestBehavior)(0),       // 0: chromiumos.TestDisablement.TestBehavior
	(*TestDisablement)(nil),                 // 1: chromiumos.TestDisablement
	(*TestDisablementCfg)(nil),              // 2: chromiumos.TestDisablementCfg
	(*ExcludeCfg)(nil),                      // 3: chromiumos.ExcludeCfg
	(*TestDisablement_FilterCriterion)(nil), // 4: chromiumos.TestDisablement.FilterCriterion
	(*ExcludeCfg_ExcludeTest)(nil),          // 5: chromiumos.ExcludeCfg.ExcludeTest
	(*ExcludeCfg_ExcludeSuite)(nil),         // 6: chromiumos.ExcludeCfg.ExcludeSuite
}
var file_chromiumos_test_disablement_proto_depIdxs = []int32{
	4, // 0: chromiumos.TestDisablement.dut_criteria:type_name -> chromiumos.TestDisablement.FilterCriterion
	4, // 1: chromiumos.TestDisablement.test_criteria:type_name -> chromiumos.TestDisablement.FilterCriterion
	4, // 2: chromiumos.TestDisablement.context_criteria:type_name -> chromiumos.TestDisablement.FilterCriterion
	0, // 3: chromiumos.TestDisablement.behavior:type_name -> chromiumos.TestDisablement.TestBehavior
	1, // 4: chromiumos.TestDisablementCfg.disablements:type_name -> chromiumos.TestDisablement
	5, // 5: chromiumos.ExcludeCfg.exclude_tests:type_name -> chromiumos.ExcludeCfg.ExcludeTest
	6, // 6: chromiumos.ExcludeCfg.exclude_suites:type_name -> chromiumos.ExcludeCfg.ExcludeSuite
	7, // [7:7] is the sub-list for method output_type
	7, // [7:7] is the sub-list for method input_type
	7, // [7:7] is the sub-list for extension type_name
	7, // [7:7] is the sub-list for extension extendee
	0, // [0:7] is the sub-list for field type_name
}

func init() { file_chromiumos_test_disablement_proto_init() }
func file_chromiumos_test_disablement_proto_init() {
	if File_chromiumos_test_disablement_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_chromiumos_test_disablement_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TestDisablement); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_test_disablement_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TestDisablementCfg); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_test_disablement_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExcludeCfg); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_test_disablement_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TestDisablement_FilterCriterion); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_test_disablement_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExcludeCfg_ExcludeTest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_chromiumos_test_disablement_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExcludeCfg_ExcludeSuite); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_chromiumos_test_disablement_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_chromiumos_test_disablement_proto_goTypes,
		DependencyIndexes: file_chromiumos_test_disablement_proto_depIdxs,
		EnumInfos:         file_chromiumos_test_disablement_proto_enumTypes,
		MessageInfos:      file_chromiumos_test_disablement_proto_msgTypes,
	}.Build()
	File_chromiumos_test_disablement_proto = out.File
	file_chromiumos_test_disablement_proto_rawDesc = nil
	file_chromiumos_test_disablement_proto_goTypes = nil
	file_chromiumos_test_disablement_proto_depIdxs = nil
}
