// Copyright 2023 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: partners/config.proto

package partners

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// PartnerConfig contains the metadata exported from Testhaus on a per-partner
// basis.
//
// NEXT ID: 15
type PartnerConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Project which the partner is associated with.
	ProjectId string `protobuf:"bytes,1,opt,name=project_id,json=projectId,proto3" json:"project_id,omitempty"`
	// Account ID of the partner. With project_id forms a unique identifier.
	AccountId int64 `protobuf:"varint,2,opt,name=account_id,json=accountId,proto3" json:"account_id,omitempty"`
	// Account name of the partner, generally human readable.
	AccountName string `protobuf:"bytes,3,opt,name=account_name,json=accountName,proto3" json:"account_name,omitempty"`
	// List of devices associated with the partner.
	ChromeOsDevices []*ChromeOSDevice `protobuf:"bytes,4,rep,name=chrome_os_devices,json=chromeOsDevices,proto3" json:"chrome_os_devices,omitempty"`
	// Name of the CTP builder bucket used by the partner.
	CtpBuilderBucket string `protobuf:"bytes,5,opt,name=ctp_builder_bucket,json=ctpBuilderBucket,proto3" json:"ctp_builder_bucket,omitempty"`
	// Name of the deploy builder bucket used by the partner.
	DeployBuilderBucket string `protobuf:"bytes,6,opt,name=deploy_builder_bucket,json=deployBuilderBucket,proto3" json:"deploy_builder_bucket,omitempty"`
	// Which UFS namespace partners should use.
	UfsNamespace string `protobuf:"bytes,7,opt,name=ufs_namespace,json=ufsNamespace,proto3" json:"ufs_namespace,omitempty"`
	// Name of the zone partners have access to in UFS.
	UfsZone string `protobuf:"bytes,8,opt,name=ufs_zone,json=ufsZone,proto3" json:"ufs_zone,omitempty"`
	// Name of the realm partners have access to in UFS.
	UfsRealm string `protobuf:"bytes,9,opt,name=ufs_realm,json=ufsRealm,proto3" json:"ufs_realm,omitempty"`
	// Name of the GCS bucket associated with the partner for test results
	// and CrOS images.
	GsBucket string `protobuf:"bytes,10,opt,name=gs_bucket,json=gsBucket,proto3" json:"gs_bucket,omitempty"`
	// Service account used for CrOS infra for the partner.
	ServiceAccount string `protobuf:"bytes,11,opt,name=service_account,json=serviceAccount,proto3" json:"service_account,omitempty"`
	// Prefix of the swarming bots associated with the partner.
	BotPrefix string `protobuf:"bytes,12,opt,name=bot_prefix,json=botPrefix,proto3" json:"bot_prefix,omitempty"`
	// Name of the realm associated with the partner.
	PartnerPrivateRealm string `protobuf:"bytes,13,opt,name=partner_private_realm,json=partnerPrivateRealm,proto3" json:"partner_private_realm,omitempty"`
	// Names of CRIA groups given access to partner LUCI infrastructure.
	LuciAccessGroups []string `protobuf:"bytes,14,rep,name=luci_access_groups,json=luciAccessGroups,proto3" json:"luci_access_groups,omitempty"`
}

func (x *PartnerConfig) Reset() {
	*x = PartnerConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_partners_config_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PartnerConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PartnerConfig) ProtoMessage() {}

func (x *PartnerConfig) ProtoReflect() protoreflect.Message {
	mi := &file_partners_config_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PartnerConfig.ProtoReflect.Descriptor instead.
func (*PartnerConfig) Descriptor() ([]byte, []int) {
	return file_partners_config_proto_rawDescGZIP(), []int{0}
}

func (x *PartnerConfig) GetProjectId() string {
	if x != nil {
		return x.ProjectId
	}
	return ""
}

func (x *PartnerConfig) GetAccountId() int64 {
	if x != nil {
		return x.AccountId
	}
	return 0
}

func (x *PartnerConfig) GetAccountName() string {
	if x != nil {
		return x.AccountName
	}
	return ""
}

func (x *PartnerConfig) GetChromeOsDevices() []*ChromeOSDevice {
	if x != nil {
		return x.ChromeOsDevices
	}
	return nil
}

func (x *PartnerConfig) GetCtpBuilderBucket() string {
	if x != nil {
		return x.CtpBuilderBucket
	}
	return ""
}

func (x *PartnerConfig) GetDeployBuilderBucket() string {
	if x != nil {
		return x.DeployBuilderBucket
	}
	return ""
}

func (x *PartnerConfig) GetUfsNamespace() string {
	if x != nil {
		return x.UfsNamespace
	}
	return ""
}

func (x *PartnerConfig) GetUfsZone() string {
	if x != nil {
		return x.UfsZone
	}
	return ""
}

func (x *PartnerConfig) GetUfsRealm() string {
	if x != nil {
		return x.UfsRealm
	}
	return ""
}

func (x *PartnerConfig) GetGsBucket() string {
	if x != nil {
		return x.GsBucket
	}
	return ""
}

func (x *PartnerConfig) GetServiceAccount() string {
	if x != nil {
		return x.ServiceAccount
	}
	return ""
}

func (x *PartnerConfig) GetBotPrefix() string {
	if x != nil {
		return x.BotPrefix
	}
	return ""
}

func (x *PartnerConfig) GetPartnerPrivateRealm() string {
	if x != nil {
		return x.PartnerPrivateRealm
	}
	return ""
}

func (x *PartnerConfig) GetLuciAccessGroups() []string {
	if x != nil {
		return x.LuciAccessGroups
	}
	return nil
}

// ChromeOSDevice identifies a device used to partition infrastructure by.
//
// NEXT ID: 3
type ChromeOSDevice struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Board of the device.
	Board string `protobuf:"bytes,1,opt,name=board,proto3" json:"board,omitempty"`
	// Model of the device.
	Model string `protobuf:"bytes,2,opt,name=model,proto3" json:"model,omitempty"`
}

func (x *ChromeOSDevice) Reset() {
	*x = ChromeOSDevice{}
	if protoimpl.UnsafeEnabled {
		mi := &file_partners_config_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChromeOSDevice) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChromeOSDevice) ProtoMessage() {}

func (x *ChromeOSDevice) ProtoReflect() protoreflect.Message {
	mi := &file_partners_config_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChromeOSDevice.ProtoReflect.Descriptor instead.
func (*ChromeOSDevice) Descriptor() ([]byte, []int) {
	return file_partners_config_proto_rawDescGZIP(), []int{1}
}

func (x *ChromeOSDevice) GetBoard() string {
	if x != nil {
		return x.Board
	}
	return ""
}

func (x *ChromeOSDevice) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

// PartnerConfigList contains partner configs.
//
// Used to simplify the export/read process.
type PartnerConfigList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// List of PartnerConfigs.
	Values []*PartnerConfig `protobuf:"bytes,1,rep,name=values,proto3" json:"values,omitempty"`
}

func (x *PartnerConfigList) Reset() {
	*x = PartnerConfigList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_partners_config_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PartnerConfigList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PartnerConfigList) ProtoMessage() {}

func (x *PartnerConfigList) ProtoReflect() protoreflect.Message {
	mi := &file_partners_config_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PartnerConfigList.ProtoReflect.Descriptor instead.
func (*PartnerConfigList) Descriptor() ([]byte, []int) {
	return file_partners_config_proto_rawDescGZIP(), []int{2}
}

func (x *PartnerConfigList) GetValues() []*PartnerConfig {
	if x != nil {
		return x.Values
	}
	return nil
}

var File_partners_config_proto protoreflect.FileDescriptor

var file_partners_config_proto_rawDesc = []byte{
	0x0a, 0x15, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x63, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72,
	0x73, 0x22, 0xbc, 0x04, 0x0a, 0x0d, 0x50, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49,
	0x64, 0x12, 0x21, 0x0a, 0x0c, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x44, 0x0a, 0x11, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x5f, 0x6f,
	0x73, 0x5f, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x18, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x43, 0x68, 0x72, 0x6f, 0x6d,
	0x65, 0x4f, 0x53, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x52, 0x0f, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x65, 0x4f, 0x73, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x73, 0x12, 0x2c, 0x0a, 0x12, 0x63, 0x74,
	0x70, 0x5f, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x62, 0x75, 0x63, 0x6b, 0x65, 0x74,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x63, 0x74, 0x70, 0x42, 0x75, 0x69, 0x6c, 0x64,
	0x65, 0x72, 0x42, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x32, 0x0a, 0x15, 0x64, 0x65, 0x70, 0x6c,
	0x6f, 0x79, 0x5f, 0x62, 0x75, 0x69, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x62, 0x75, 0x63, 0x6b, 0x65,
	0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x42,
	0x75, 0x69, 0x6c, 0x64, 0x65, 0x72, 0x42, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x23, 0x0a, 0x0d,
	0x75, 0x66, 0x73, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x07, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0c, 0x75, 0x66, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
	0x65, 0x12, 0x19, 0x0a, 0x08, 0x75, 0x66, 0x73, 0x5f, 0x7a, 0x6f, 0x6e, 0x65, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x07, 0x75, 0x66, 0x73, 0x5a, 0x6f, 0x6e, 0x65, 0x12, 0x1b, 0x0a, 0x09,
	0x75, 0x66, 0x73, 0x5f, 0x72, 0x65, 0x61, 0x6c, 0x6d, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x75, 0x66, 0x73, 0x52, 0x65, 0x61, 0x6c, 0x6d, 0x12, 0x1b, 0x0a, 0x09, 0x67, 0x73, 0x5f,
	0x62, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x67, 0x73,
	0x42, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x5f, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12,
	0x1d, 0x0a, 0x0a, 0x62, 0x6f, 0x74, 0x5f, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x0c, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x09, 0x62, 0x6f, 0x74, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x32,
	0x0a, 0x15, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74,
	0x65, 0x5f, 0x72, 0x65, 0x61, 0x6c, 0x6d, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x70,
	0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x50, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61,
	0x6c, 0x6d, 0x12, 0x2c, 0x0a, 0x12, 0x6c, 0x75, 0x63, 0x69, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73,
	0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x18, 0x0e, 0x20, 0x03, 0x28, 0x09, 0x52, 0x10,
	0x6c, 0x75, 0x63, 0x69, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73,
	0x22, 0x3c, 0x0a, 0x0e, 0x43, 0x68, 0x72, 0x6f, 0x6d, 0x65, 0x4f, 0x53, 0x44, 0x65, 0x76, 0x69,
	0x63, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65,
	0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x22, 0x44,
	0x0a, 0x11, 0x50, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x4c,
	0x69, 0x73, 0x74, 0x12, 0x2f, 0x0a, 0x06, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x50,
	0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x73, 0x42, 0x31, 0x5a, 0x2f, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d,
	0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x70,
	0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_partners_config_proto_rawDescOnce sync.Once
	file_partners_config_proto_rawDescData = file_partners_config_proto_rawDesc
)

func file_partners_config_proto_rawDescGZIP() []byte {
	file_partners_config_proto_rawDescOnce.Do(func() {
		file_partners_config_proto_rawDescData = protoimpl.X.CompressGZIP(file_partners_config_proto_rawDescData)
	})
	return file_partners_config_proto_rawDescData
}

var file_partners_config_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_partners_config_proto_goTypes = []interface{}{
	(*PartnerConfig)(nil),     // 0: partners.PartnerConfig
	(*ChromeOSDevice)(nil),    // 1: partners.ChromeOSDevice
	(*PartnerConfigList)(nil), // 2: partners.PartnerConfigList
}
var file_partners_config_proto_depIdxs = []int32{
	1, // 0: partners.PartnerConfig.chrome_os_devices:type_name -> partners.ChromeOSDevice
	0, // 1: partners.PartnerConfigList.values:type_name -> partners.PartnerConfig
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_partners_config_proto_init() }
func file_partners_config_proto_init() {
	if File_partners_config_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_partners_config_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PartnerConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_partners_config_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChromeOSDevice); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_partners_config_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PartnerConfigList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_partners_config_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_partners_config_proto_goTypes,
		DependencyIndexes: file_partners_config_proto_depIdxs,
		MessageInfos:      file_partners_config_proto_msgTypes,
	}.Build()
	File_partners_config_proto = out.File
	file_partners_config_proto_rawDesc = nil
	file_partners_config_proto_goTypes = nil
	file_partners_config_proto_depIdxs = nil
}
