// Copyright 2019 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/migration/scheduler/traffic_split.proto

package scheduler

import (
	chromiumos "go.chromium.org/chromiumos/infra/proto/go/chromiumos"
	test_platform "go.chromium.org/chromiumos/infra/proto/go/test_platform"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Backend int32

const (
	Backend_BACKEND_UNSPECIFIED Backend = 0
	Backend_BACKEND_AUTOTEST    Backend = 1
	Backend_BACKEND_SKYLAB      Backend = 2
)

// Enum value maps for Backend.
var (
	Backend_name = map[int32]string{
		0: "BACKEND_UNSPECIFIED",
		1: "BACKEND_AUTOTEST",
		2: "BACKEND_SKYLAB",
	}
	Backend_value = map[string]int32{
		"BACKEND_UNSPECIFIED": 0,
		"BACKEND_AUTOTEST":    1,
		"BACKEND_SKYLAB":      2,
	}
)

func (x Backend) Enum() *Backend {
	p := new(Backend)
	*p = x
	return p
}

func (x Backend) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Backend) Descriptor() protoreflect.EnumDescriptor {
	return file_test_platform_migration_scheduler_traffic_split_proto_enumTypes[0].Descriptor()
}

func (Backend) Type() protoreflect.EnumType {
	return &file_test_platform_migration_scheduler_traffic_split_proto_enumTypes[0]
}

func (x Backend) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Backend.Descriptor instead.
func (Backend) EnumDescriptor() ([]byte, []int) {
	return file_test_platform_migration_scheduler_traffic_split_proto_rawDescGZIP(), []int{0}
}

// The cros_test_platform traffic splitting stage interprets this config in two
// phases.
//  1. First, the request is matched to any of the rules in the suite_overrides,
//     including the requested suite. If matching rules are found, second phase
//     is skipped.
//  2. Next, the request is matched against the base rules (exluding suite name)
//     If no matching rules are found, the steps fails.
//
// If multiple rules are found, they *must agree on the traffic splitting
// decision* including any pool overrides. In case of conflicting rules, the
// step fails.
type TrafficSplit struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Rules are expected to be exhaustive. If an incoming request does not match
	// any available rule, the traffic splitter will fail.
	//
	// This policy prevents requests for newly deployed models / pools from
	// getting scheduled on the incorrect scheduler and then timing out due to
	// lack of devices.
	Rules []*Rule `protobuf:"bytes,1,rep,name=rules,proto3" json:"rules,omitempty"`
	// Unlike rules, suite overrides are only specified for suites that need
	// different handling from the rule that otherwise matches the request.
	SuiteOverrides []*SuiteOverride `protobuf:"bytes,2,rep,name=suite_overrides,json=suiteOverrides,proto3" json:"suite_overrides,omitempty"`
}

func (x *TrafficSplit) Reset() {
	*x = TrafficSplit{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TrafficSplit) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TrafficSplit) ProtoMessage() {}

func (x *TrafficSplit) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TrafficSplit.ProtoReflect.Descriptor instead.
func (*TrafficSplit) Descriptor() ([]byte, []int) {
	return file_test_platform_migration_scheduler_traffic_split_proto_rawDescGZIP(), []int{0}
}

func (x *TrafficSplit) GetRules() []*Rule {
	if x != nil {
		return x.Rules
	}
	return nil
}

func (x *TrafficSplit) GetSuiteOverrides() []*SuiteOverride {
	if x != nil {
		return x.SuiteOverrides
	}
	return nil
}

type Rule struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Request    *Request    `protobuf:"bytes,1,opt,name=request,proto3" json:"request,omitempty"`
	Backend    Backend     `protobuf:"varint,2,opt,name=backend,proto3,enum=test_platform.migration.scheduler.Backend" json:"backend,omitempty"`
	RequestMod *RequestMod `protobuf:"bytes,3,opt,name=request_mod,json=requestMod,proto3" json:"request_mod,omitempty"`
}

func (x *Rule) Reset() {
	*x = Rule{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Rule) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Rule) ProtoMessage() {}

func (x *Rule) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Rule.ProtoReflect.Descriptor instead.
func (*Rule) Descriptor() ([]byte, []int) {
	return file_test_platform_migration_scheduler_traffic_split_proto_rawDescGZIP(), []int{1}
}

func (x *Rule) GetRequest() *Request {
	if x != nil {
		return x.Request
	}
	return nil
}

func (x *Rule) GetBackend() Backend {
	if x != nil {
		return x.Backend
	}
	return Backend_BACKEND_UNSPECIFIED
}

func (x *Rule) GetRequestMod() *RequestMod {
	if x != nil {
		return x.RequestMod
	}
	return nil
}

// Request is a subset of test_platform.Request that is relevant to the
// scheduler backend traffic splitting decision.
type Request struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Scheduling  *test_platform.Request_Params_Scheduling `protobuf:"bytes,1,opt,name=scheduling,proto3" json:"scheduling,omitempty"`
	Model       string                                   `protobuf:"bytes,2,opt,name=model,proto3" json:"model,omitempty"`
	BuildTarget *chromiumos.BuildTarget                  `protobuf:"bytes,3,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
}

func (x *Request) Reset() {
	*x = Request{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Request) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Request) ProtoMessage() {}

func (x *Request) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Request.ProtoReflect.Descriptor instead.
func (*Request) Descriptor() ([]byte, []int) {
	return file_test_platform_migration_scheduler_traffic_split_proto_rawDescGZIP(), []int{2}
}

func (x *Request) GetScheduling() *test_platform.Request_Params_Scheduling {
	if x != nil {
		return x.Scheduling
	}
	return nil
}

func (x *Request) GetModel() string {
	if x != nil {
		return x.Model
	}
	return ""
}

func (x *Request) GetBuildTarget() *chromiumos.BuildTarget {
	if x != nil {
		return x.BuildTarget
	}
	return nil
}

// RequestMod contains the test_platform.Requset arguments that must be
// overridden when forwarding a request to the chosen scheduler backend.
type RequestMod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Scheduling *test_platform.Request_Params_Scheduling `protobuf:"bytes,1,opt,name=scheduling,proto3" json:"scheduling,omitempty"`
}

func (x *RequestMod) Reset() {
	*x = RequestMod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestMod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestMod) ProtoMessage() {}

func (x *RequestMod) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestMod.ProtoReflect.Descriptor instead.
func (*RequestMod) Descriptor() ([]byte, []int) {
	return file_test_platform_migration_scheduler_traffic_split_proto_rawDescGZIP(), []int{3}
}

func (x *RequestMod) GetScheduling() *test_platform.Request_Params_Scheduling {
	if x != nil {
		return x.Scheduling
	}
	return nil
}

// SuiteOverride provides per-suite overrides for the traffic split laid down by
// the basic rules.
type SuiteOverride struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Incoming request must target this suite, in addition to the requirements
	// of the rule specified below.
	Suite *test_platform.Request_Suite `protobuf:"bytes,1,opt,name=suite,proto3" json:"suite,omitempty"`
	Rule  *Rule                        `protobuf:"bytes,2,opt,name=rule,proto3" json:"rule,omitempty"`
}

func (x *SuiteOverride) Reset() {
	*x = SuiteOverride{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SuiteOverride) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SuiteOverride) ProtoMessage() {}

func (x *SuiteOverride) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SuiteOverride.ProtoReflect.Descriptor instead.
func (*SuiteOverride) Descriptor() ([]byte, []int) {
	return file_test_platform_migration_scheduler_traffic_split_proto_rawDescGZIP(), []int{4}
}

func (x *SuiteOverride) GetSuite() *test_platform.Request_Suite {
	if x != nil {
		return x.Suite
	}
	return nil
}

func (x *SuiteOverride) GetRule() *Rule {
	if x != nil {
		return x.Rule
	}
	return nil
}

var File_test_platform_migration_scheduler_traffic_split_proto protoreflect.FileDescriptor

var file_test_platform_migration_scheduler_traffic_split_proto_rawDesc = []byte{
	0x0a, 0x35, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x6d, 0x69, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x65, 0x72, 0x2f, 0x74, 0x72, 0x61, 0x66, 0x66, 0x69, 0x63, 0x5f, 0x73, 0x70, 0x6c, 0x69,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x21, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c,
	0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x69, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2e, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x1a, 0x17, 0x63, 0x68, 0x72, 0x6f,
	0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
	0x72, 0x6d, 0x2f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0xa8, 0x01, 0x0a, 0x0c, 0x54, 0x72, 0x61, 0x66, 0x66, 0x69, 0x63, 0x53, 0x70, 0x6c, 0x69,
	0x74, 0x12, 0x3d, 0x0a, 0x05, 0x72, 0x75, 0x6c, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x27, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2e, 0x6d, 0x69, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x73, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x72, 0x2e, 0x52, 0x75, 0x6c, 0x65, 0x52, 0x05, 0x72, 0x75, 0x6c, 0x65, 0x73,
	0x12, 0x59, 0x0a, 0x0f, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x6f, 0x76, 0x65, 0x72, 0x72, 0x69,
	0x64, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x74, 0x65, 0x73, 0x74,
	0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x69, 0x67, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x2e, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x53, 0x75,
	0x69, 0x74, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x52, 0x0e, 0x73, 0x75, 0x69,
	0x74, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x73, 0x22, 0xe2, 0x01, 0x0a, 0x04,
	0x52, 0x75, 0x6c, 0x65, 0x12, 0x44, 0x0a, 0x07, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61,
	0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x69, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e,
	0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x52, 0x07, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x44, 0x0a, 0x07, 0x62, 0x61,
	0x63, 0x6b, 0x65, 0x6e, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2a, 0x2e, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x69, 0x67, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e,
	0x42, 0x61, 0x63, 0x6b, 0x65, 0x6e, 0x64, 0x52, 0x07, 0x62, 0x61, 0x63, 0x6b, 0x65, 0x6e, 0x64,
	0x12, 0x4e, 0x0a, 0x0b, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x5f, 0x6d, 0x6f, 0x64, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2d, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61,
	0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x69, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e,
	0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x4d, 0x6f, 0x64, 0x52, 0x0a, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64,
	0x22, 0xa5, 0x01, 0x0a, 0x07, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x48, 0x0a, 0x0a,
	0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x69, 0x6e, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x28, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x2e,
	0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x69, 0x6e, 0x67, 0x52, 0x0a, 0x73, 0x63, 0x68, 0x65,
	0x64, 0x75, 0x6c, 0x69, 0x6e, 0x67, 0x12, 0x14, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x3a, 0x0a, 0x0c,
	0x62, 0x75, 0x69, 0x6c, 0x64, 0x5f, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e,
	0x42, 0x75, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x52, 0x0b, 0x62, 0x75, 0x69,
	0x6c, 0x64, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x22, 0x56, 0x0a, 0x0a, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x12, 0x48, 0x0a, 0x0a, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x69, 0x6e, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x74, 0x65, 0x73,
	0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x2e, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x2e, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x69, 0x6e, 0x67, 0x52, 0x0a, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x69, 0x6e, 0x67,
	0x22, 0x80, 0x01, 0x0a, 0x0d, 0x53, 0x75, 0x69, 0x74, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69,
	0x64, 0x65, 0x12, 0x32, 0x0a, 0x05, 0x73, 0x75, 0x69, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1c, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
	0x6d, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x53, 0x75, 0x69, 0x74, 0x65, 0x52,
	0x05, 0x73, 0x75, 0x69, 0x74, 0x65, 0x12, 0x3b, 0x0a, 0x04, 0x72, 0x75, 0x6c, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74,
	0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x69, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x73,
	0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x52, 0x75, 0x6c, 0x65, 0x52, 0x04, 0x72,
	0x75, 0x6c, 0x65, 0x2a, 0x4c, 0x0a, 0x07, 0x42, 0x61, 0x63, 0x6b, 0x65, 0x6e, 0x64, 0x12, 0x17,
	0x0a, 0x13, 0x42, 0x41, 0x43, 0x4b, 0x45, 0x4e, 0x44, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43,
	0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x14, 0x0a, 0x10, 0x42, 0x41, 0x43, 0x4b, 0x45,
	0x4e, 0x44, 0x5f, 0x41, 0x55, 0x54, 0x4f, 0x54, 0x45, 0x53, 0x54, 0x10, 0x01, 0x12, 0x12, 0x0a,
	0x0e, 0x42, 0x41, 0x43, 0x4b, 0x45, 0x4e, 0x44, 0x5f, 0x53, 0x4b, 0x59, 0x4c, 0x41, 0x42, 0x10,
	0x02, 0x42, 0x4d, 0x5a, 0x4b, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f,
	0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x6d, 0x69, 0x67,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_migration_scheduler_traffic_split_proto_rawDescOnce sync.Once
	file_test_platform_migration_scheduler_traffic_split_proto_rawDescData = file_test_platform_migration_scheduler_traffic_split_proto_rawDesc
)

func file_test_platform_migration_scheduler_traffic_split_proto_rawDescGZIP() []byte {
	file_test_platform_migration_scheduler_traffic_split_proto_rawDescOnce.Do(func() {
		file_test_platform_migration_scheduler_traffic_split_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_migration_scheduler_traffic_split_proto_rawDescData)
	})
	return file_test_platform_migration_scheduler_traffic_split_proto_rawDescData
}

var file_test_platform_migration_scheduler_traffic_split_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_test_platform_migration_scheduler_traffic_split_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_test_platform_migration_scheduler_traffic_split_proto_goTypes = []interface{}{
	(Backend)(0),          // 0: test_platform.migration.scheduler.Backend
	(*TrafficSplit)(nil),  // 1: test_platform.migration.scheduler.TrafficSplit
	(*Rule)(nil),          // 2: test_platform.migration.scheduler.Rule
	(*Request)(nil),       // 3: test_platform.migration.scheduler.Request
	(*RequestMod)(nil),    // 4: test_platform.migration.scheduler.RequestMod
	(*SuiteOverride)(nil), // 5: test_platform.migration.scheduler.SuiteOverride
	(*test_platform.Request_Params_Scheduling)(nil), // 6: test_platform.Request.Params.Scheduling
	(*chromiumos.BuildTarget)(nil),                  // 7: chromiumos.BuildTarget
	(*test_platform.Request_Suite)(nil),             // 8: test_platform.Request.Suite
}
var file_test_platform_migration_scheduler_traffic_split_proto_depIdxs = []int32{
	2,  // 0: test_platform.migration.scheduler.TrafficSplit.rules:type_name -> test_platform.migration.scheduler.Rule
	5,  // 1: test_platform.migration.scheduler.TrafficSplit.suite_overrides:type_name -> test_platform.migration.scheduler.SuiteOverride
	3,  // 2: test_platform.migration.scheduler.Rule.request:type_name -> test_platform.migration.scheduler.Request
	0,  // 3: test_platform.migration.scheduler.Rule.backend:type_name -> test_platform.migration.scheduler.Backend
	4,  // 4: test_platform.migration.scheduler.Rule.request_mod:type_name -> test_platform.migration.scheduler.RequestMod
	6,  // 5: test_platform.migration.scheduler.Request.scheduling:type_name -> test_platform.Request.Params.Scheduling
	7,  // 6: test_platform.migration.scheduler.Request.build_target:type_name -> chromiumos.BuildTarget
	6,  // 7: test_platform.migration.scheduler.RequestMod.scheduling:type_name -> test_platform.Request.Params.Scheduling
	8,  // 8: test_platform.migration.scheduler.SuiteOverride.suite:type_name -> test_platform.Request.Suite
	2,  // 9: test_platform.migration.scheduler.SuiteOverride.rule:type_name -> test_platform.migration.scheduler.Rule
	10, // [10:10] is the sub-list for method output_type
	10, // [10:10] is the sub-list for method input_type
	10, // [10:10] is the sub-list for extension type_name
	10, // [10:10] is the sub-list for extension extendee
	0,  // [0:10] is the sub-list for field type_name
}

func init() { file_test_platform_migration_scheduler_traffic_split_proto_init() }
func file_test_platform_migration_scheduler_traffic_split_proto_init() {
	if File_test_platform_migration_scheduler_traffic_split_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TrafficSplit); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Rule); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Request); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestMod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_migration_scheduler_traffic_split_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SuiteOverride); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_migration_scheduler_traffic_split_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_migration_scheduler_traffic_split_proto_goTypes,
		DependencyIndexes: file_test_platform_migration_scheduler_traffic_split_proto_depIdxs,
		EnumInfos:         file_test_platform_migration_scheduler_traffic_split_proto_enumTypes,
		MessageInfos:      file_test_platform_migration_scheduler_traffic_split_proto_msgTypes,
	}.Build()
	File_test_platform_migration_scheduler_traffic_split_proto = out.File
	file_test_platform_migration_scheduler_traffic_split_proto_rawDesc = nil
	file_test_platform_migration_scheduler_traffic_split_proto_goTypes = nil
	file_test_platform_migration_scheduler_traffic_split_proto_depIdxs = nil
}
