// Copyright 2019 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/multibot/common.proto

package multibot

import (
	test_platform "go.chromium.org/chromiumos/infra/proto/go/test_platform"
	skylab_local_state "go.chromium.org/chromiumos/infra/proto/go/test_platform/skylab_local_state"
	skylab_test_runner "go.chromium.org/chromiumos/infra/proto/go/test_platform/skylab_test_runner"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Stable configuration settings needed for multi-bot tasks, shared by leader
// and followers
type MultiBotConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Pub/Sub topic name
	Topic string `protobuf:"bytes,1,opt,name=topic,proto3" json:"topic,omitempty"`
}

func (x *MultiBotConfig) Reset() {
	*x = MultiBotConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_multibot_common_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MultiBotConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MultiBotConfig) ProtoMessage() {}

func (x *MultiBotConfig) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_multibot_common_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MultiBotConfig.ProtoReflect.Descriptor instead.
func (*MultiBotConfig) Descriptor() ([]byte, []int) {
	return file_test_platform_multibot_common_proto_rawDescGZIP(), []int{0}
}

func (x *MultiBotConfig) GetTopic() string {
	if x != nil {
		return x.Topic
	}
	return ""
}

// HostInfoStore stores Autotest host info blobs keyed by DUT name
type HostInfoStore struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HostInfos map[string]*skylab_local_state.AutotestHostInfo `protobuf:"bytes,1,rep,name=host_infos,json=hostInfos,proto3" json:"host_infos,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *HostInfoStore) Reset() {
	*x = HostInfoStore{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_multibot_common_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HostInfoStore) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HostInfoStore) ProtoMessage() {}

func (x *HostInfoStore) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_multibot_common_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HostInfoStore.ProtoReflect.Descriptor instead.
func (*HostInfoStore) Descriptor() ([]byte, []int) {
	return file_test_platform_multibot_common_proto_rawDescGZIP(), []int{1}
}

func (x *HostInfoStore) GetHostInfos() map[string]*skylab_local_state.AutotestHostInfo {
	if x != nil {
		return x.HostInfos
	}
	return nil
}

// FollowerSpec contains the provisionable and nonprovisionable attributes for a
// follower swarming task.
type FollowerSpec struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StaticAttributes *FollowerSpec_StaticAttributes `protobuf:"bytes,1,opt,name=static_attributes,json=staticAttributes,proto3" json:"static_attributes,omitempty"`
	// Prejob work required, primarily provisionable attributes to ensure
	Prejob *skylab_test_runner.Request_Prejob `protobuf:"bytes,2,opt,name=prejob,proto3" json:"prejob,omitempty"`
	// Number of followers with these attributes, default to 1.
	Count int32 `protobuf:"varint,3,opt,name=count,proto3" json:"count,omitempty"`
}

func (x *FollowerSpec) Reset() {
	*x = FollowerSpec{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_multibot_common_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FollowerSpec) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FollowerSpec) ProtoMessage() {}

func (x *FollowerSpec) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_multibot_common_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FollowerSpec.ProtoReflect.Descriptor instead.
func (*FollowerSpec) Descriptor() ([]byte, []int) {
	return file_test_platform_multibot_common_proto_rawDescGZIP(), []int{2}
}

func (x *FollowerSpec) GetStaticAttributes() *FollowerSpec_StaticAttributes {
	if x != nil {
		return x.StaticAttributes
	}
	return nil
}

func (x *FollowerSpec) GetPrejob() *skylab_test_runner.Request_Prejob {
	if x != nil {
		return x.Prejob
	}
	return nil
}

func (x *FollowerSpec) GetCount() int32 {
	if x != nil {
		return x.Count
	}
	return 0
}

// Nonprovisionable labels for followers
type FollowerSpec_StaticAttributes struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HardwareAttributes *test_platform.Request_Params_HardwareAttributes `protobuf:"bytes,1,opt,name=hardware_attributes,json=hardwareAttributes,proto3" json:"hardware_attributes,omitempty"`
	SoftwareAttributes *test_platform.Request_Params_SoftwareAttributes `protobuf:"bytes,2,opt,name=software_attributes,json=softwareAttributes,proto3" json:"software_attributes,omitempty"`
}

func (x *FollowerSpec_StaticAttributes) Reset() {
	*x = FollowerSpec_StaticAttributes{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_multibot_common_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FollowerSpec_StaticAttributes) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FollowerSpec_StaticAttributes) ProtoMessage() {}

func (x *FollowerSpec_StaticAttributes) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_multibot_common_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FollowerSpec_StaticAttributes.ProtoReflect.Descriptor instead.
func (*FollowerSpec_StaticAttributes) Descriptor() ([]byte, []int) {
	return file_test_platform_multibot_common_proto_rawDescGZIP(), []int{2, 0}
}

func (x *FollowerSpec_StaticAttributes) GetHardwareAttributes() *test_platform.Request_Params_HardwareAttributes {
	if x != nil {
		return x.HardwareAttributes
	}
	return nil
}

func (x *FollowerSpec_StaticAttributes) GetSoftwareAttributes() *test_platform.Request_Params_SoftwareAttributes {
	if x != nil {
		return x.SoftwareAttributes
	}
	return nil
}

var File_test_platform_multibot_common_proto protoreflect.FileDescriptor

var file_test_platform_multibot_common_proto_rawDesc = []byte{
	0x0a, 0x23, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x6d, 0x75, 0x6c, 0x74, 0x69, 0x62, 0x6f, 0x74, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x16, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74,
	0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x62, 0x6f, 0x74, 0x1a, 0x1b, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x72, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x30, 0x74, 0x65, 0x73, 0x74,
	0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62,
	0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2f, 0x68, 0x6f, 0x73,
	0x74, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2e, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x6b, 0x79, 0x6c,
	0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x2f, 0x72,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x26, 0x0a, 0x0e,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x42, 0x6f, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x14,
	0x0a, 0x05, 0x74, 0x6f, 0x70, 0x69, 0x63, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74,
	0x6f, 0x70, 0x69, 0x63, 0x22, 0xd6, 0x01, 0x0a, 0x0d, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66,
	0x6f, 0x53, 0x74, 0x6f, 0x72, 0x65, 0x12, 0x53, 0x0a, 0x0a, 0x68, 0x6f, 0x73, 0x74, 0x5f, 0x69,
	0x6e, 0x66, 0x6f, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x34, 0x2e, 0x74, 0x65, 0x73,
	0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x75, 0x6c, 0x74, 0x69,
	0x62, 0x6f, 0x74, 0x2e, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x53, 0x74, 0x6f, 0x72,
	0x65, 0x2e, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x52, 0x09, 0x68, 0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x73, 0x1a, 0x70, 0x0a, 0x0e, 0x48,
	0x6f, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a,
	0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12,
	0x48, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32,
	0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73,
	0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x5f, 0x73, 0x74, 0x61, 0x74,
	0x65, 0x2e, 0x41, 0x75, 0x74, 0x6f, 0x74, 0x65, 0x73, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x49, 0x6e,
	0x66, 0x6f, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xad, 0x03,
	0x0a, 0x0c, 0x46, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x53, 0x70, 0x65, 0x63, 0x12, 0x62,
	0x0a, 0x11, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x5f, 0x61, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75,
	0x74, 0x65, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x35, 0x2e, 0x74, 0x65, 0x73, 0x74,
	0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x62,
	0x6f, 0x74, 0x2e, 0x46, 0x6f, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x72, 0x53, 0x70, 0x65, 0x63, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x41, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73,
	0x52, 0x10, 0x73, 0x74, 0x61, 0x74, 0x69, 0x63, 0x41, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74,
	0x65, 0x73, 0x12, 0x48, 0x0a, 0x06, 0x70, 0x72, 0x65, 0x6a, 0x6f, 0x62, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x30, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
	0x72, 0x6d, 0x2e, 0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72,
	0x75, 0x6e, 0x6e, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x50, 0x72,
	0x65, 0x6a, 0x6f, 0x62, 0x52, 0x06, 0x70, 0x72, 0x65, 0x6a, 0x6f, 0x62, 0x12, 0x14, 0x0a, 0x05,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x1a, 0xd8, 0x01, 0x0a, 0x10, 0x53, 0x74, 0x61, 0x74, 0x69, 0x63, 0x41, 0x74, 0x74,
	0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x12, 0x61, 0x0a, 0x13, 0x68, 0x61, 0x72, 0x64, 0x77,
	0x61, 0x72, 0x65, 0x5f, 0x61, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74,
	0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x50, 0x61, 0x72,
	0x61, 0x6d, 0x73, 0x2e, 0x48, 0x61, 0x72, 0x64, 0x77, 0x61, 0x72, 0x65, 0x41, 0x74, 0x74, 0x72,
	0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x52, 0x12, 0x68, 0x61, 0x72, 0x64, 0x77, 0x61, 0x72, 0x65,
	0x41, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x12, 0x61, 0x0a, 0x13, 0x73, 0x6f,
	0x66, 0x74, 0x77, 0x61, 0x72, 0x65, 0x5f, 0x61, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65,
	0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70,
	0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e,
	0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x2e, 0x53, 0x6f, 0x66, 0x74, 0x77, 0x61, 0x72, 0x65, 0x41,
	0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x52, 0x12, 0x73, 0x6f, 0x66, 0x74, 0x77,
	0x61, 0x72, 0x65, 0x41, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x73, 0x42, 0x42, 0x5a,
	0x40, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72, 0x67,
	0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x72,
	0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65, 0x73, 0x74, 0x5f,
	0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x62, 0x6f,
	0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_multibot_common_proto_rawDescOnce sync.Once
	file_test_platform_multibot_common_proto_rawDescData = file_test_platform_multibot_common_proto_rawDesc
)

func file_test_platform_multibot_common_proto_rawDescGZIP() []byte {
	file_test_platform_multibot_common_proto_rawDescOnce.Do(func() {
		file_test_platform_multibot_common_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_multibot_common_proto_rawDescData)
	})
	return file_test_platform_multibot_common_proto_rawDescData
}

var file_test_platform_multibot_common_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_test_platform_multibot_common_proto_goTypes = []interface{}{
	(*MultiBotConfig)(nil),                // 0: test_platform.multibot.MultiBotConfig
	(*HostInfoStore)(nil),                 // 1: test_platform.multibot.HostInfoStore
	(*FollowerSpec)(nil),                  // 2: test_platform.multibot.FollowerSpec
	nil,                                   // 3: test_platform.multibot.HostInfoStore.HostInfosEntry
	(*FollowerSpec_StaticAttributes)(nil), // 4: test_platform.multibot.FollowerSpec.StaticAttributes
	(*skylab_test_runner.Request_Prejob)(nil),               // 5: test_platform.skylab_test_runner.Request.Prejob
	(*skylab_local_state.AutotestHostInfo)(nil),             // 6: test_platform.skylab_local_state.AutotestHostInfo
	(*test_platform.Request_Params_HardwareAttributes)(nil), // 7: test_platform.Request.Params.HardwareAttributes
	(*test_platform.Request_Params_SoftwareAttributes)(nil), // 8: test_platform.Request.Params.SoftwareAttributes
}
var file_test_platform_multibot_common_proto_depIdxs = []int32{
	3, // 0: test_platform.multibot.HostInfoStore.host_infos:type_name -> test_platform.multibot.HostInfoStore.HostInfosEntry
	4, // 1: test_platform.multibot.FollowerSpec.static_attributes:type_name -> test_platform.multibot.FollowerSpec.StaticAttributes
	5, // 2: test_platform.multibot.FollowerSpec.prejob:type_name -> test_platform.skylab_test_runner.Request.Prejob
	6, // 3: test_platform.multibot.HostInfoStore.HostInfosEntry.value:type_name -> test_platform.skylab_local_state.AutotestHostInfo
	7, // 4: test_platform.multibot.FollowerSpec.StaticAttributes.hardware_attributes:type_name -> test_platform.Request.Params.HardwareAttributes
	8, // 5: test_platform.multibot.FollowerSpec.StaticAttributes.software_attributes:type_name -> test_platform.Request.Params.SoftwareAttributes
	6, // [6:6] is the sub-list for method output_type
	6, // [6:6] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_test_platform_multibot_common_proto_init() }
func file_test_platform_multibot_common_proto_init() {
	if File_test_platform_multibot_common_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_test_platform_multibot_common_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MultiBotConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_multibot_common_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HostInfoStore); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_multibot_common_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FollowerSpec); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_multibot_common_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FollowerSpec_StaticAttributes); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_multibot_common_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_multibot_common_proto_goTypes,
		DependencyIndexes: file_test_platform_multibot_common_proto_depIdxs,
		MessageInfos:      file_test_platform_multibot_common_proto_msgTypes,
	}.Build()
	File_test_platform_multibot_common_proto = out.File
	file_test_platform_multibot_common_proto_rawDesc = nil
	file_test_platform_multibot_common_proto_goTypes = nil
	file_test_platform_multibot_common_proto_depIdxs = nil
}
