// Copyright 2019 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/phosphorus/runtest.proto

package phosphorus

import (
	api "go.chromium.org/chromiumos/config/go/build/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Values should be consistent with https://aip.dev/216
type RunTestResponse_State int32

const (
	// Should not be used.
	RunTestResponse_STATE_UNSPECIFIED RunTestResponse_State = 0
	// The test succeeded.
	//
	// Some test failures may not be detectable during execution. These
	// failures will be detected when parsing results off the test logs in a
	// later step of test_runner.
	RunTestResponse_SUCCEEDED RunTestResponse_State = 1
	// The test failed.
	RunTestResponse_FAILED RunTestResponse_State = 2
	// The test hit the requested timeout.
	RunTestResponse_TIMED_OUT RunTestResponse_State = 3
	// The test was aborted externally.
	RunTestResponse_ABORTED RunTestResponse_State = 4
)

// Enum value maps for RunTestResponse_State.
var (
	RunTestResponse_State_name = map[int32]string{
		0: "STATE_UNSPECIFIED",
		1: "SUCCEEDED",
		2: "FAILED",
		3: "TIMED_OUT",
		4: "ABORTED",
	}
	RunTestResponse_State_value = map[string]int32{
		"STATE_UNSPECIFIED": 0,
		"SUCCEEDED":         1,
		"FAILED":            2,
		"TIMED_OUT":         3,
		"ABORTED":           4,
	}
)

func (x RunTestResponse_State) Enum() *RunTestResponse_State {
	p := new(RunTestResponse_State)
	*p = x
	return p
}

func (x RunTestResponse_State) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (RunTestResponse_State) Descriptor() protoreflect.EnumDescriptor {
	return file_test_platform_phosphorus_runtest_proto_enumTypes[0].Descriptor()
}

func (RunTestResponse_State) Type() protoreflect.EnumType {
	return &file_test_platform_phosphorus_runtest_proto_enumTypes[0]
}

func (x RunTestResponse_State) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use RunTestResponse_State.Descriptor instead.
func (RunTestResponse_State) EnumDescriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_runtest_proto_rawDescGZIP(), []int{1, 0}
}

// RunTestRequest defines the input of `phosphorus runtest`.
type RunTestRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Config *Config `protobuf:"bytes,1,opt,name=config,proto3" json:"config,omitempty"`
	// A test may use more than one DUT at once.
	DutHostnames []string `protobuf:"bytes,2,rep,name=dut_hostnames,json=dutHostnames,proto3" json:"dut_hostnames,omitempty"`
	// Types that are assignable to Test:
	//	*RunTestRequest_Autotest_
	Test isRunTestRequest_Test `protobuf_oneof:"test"`
	// Hard deadline for execution.
	//
	// All test execution should abort beyond this deadline.
	Deadline *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=deadline,proto3" json:"deadline,omitempty"`
	// If set, a Docker container to use to run autoserv. The container must
	// contain autoserv under the same path as the host (e.g.
	// "/usr/local/autotest/server/autoserv").
	//
	// Results will be in the same results dir on the host.
	//
	// The container will be pulled if needed.
	ContainerImageInfo *api.ContainerImageInfo `protobuf:"bytes,6,opt,name=container_image_info,json=containerImageInfo,proto3" json:"container_image_info,omitempty"`
	// If provided limit the execution time of the suite to this
	MaxExecutionSeconds int64 `protobuf:"varint,7,opt,name=max_execution_seconds,json=maxExecutionSeconds,proto3" json:"max_execution_seconds,omitempty"`
}

func (x *RunTestRequest) Reset() {
	*x = RunTestRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_phosphorus_runtest_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RunTestRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunTestRequest) ProtoMessage() {}

func (x *RunTestRequest) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_phosphorus_runtest_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunTestRequest.ProtoReflect.Descriptor instead.
func (*RunTestRequest) Descriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_runtest_proto_rawDescGZIP(), []int{0}
}

func (x *RunTestRequest) GetConfig() *Config {
	if x != nil {
		return x.Config
	}
	return nil
}

func (x *RunTestRequest) GetDutHostnames() []string {
	if x != nil {
		return x.DutHostnames
	}
	return nil
}

func (m *RunTestRequest) GetTest() isRunTestRequest_Test {
	if m != nil {
		return m.Test
	}
	return nil
}

func (x *RunTestRequest) GetAutotest() *RunTestRequest_Autotest {
	if x, ok := x.GetTest().(*RunTestRequest_Autotest_); ok {
		return x.Autotest
	}
	return nil
}

func (x *RunTestRequest) GetDeadline() *timestamppb.Timestamp {
	if x != nil {
		return x.Deadline
	}
	return nil
}

func (x *RunTestRequest) GetContainerImageInfo() *api.ContainerImageInfo {
	if x != nil {
		return x.ContainerImageInfo
	}
	return nil
}

func (x *RunTestRequest) GetMaxExecutionSeconds() int64 {
	if x != nil {
		return x.MaxExecutionSeconds
	}
	return 0
}

type isRunTestRequest_Test interface {
	isRunTestRequest_Test()
}

type RunTestRequest_Autotest_ struct {
	Autotest *RunTestRequest_Autotest `protobuf:"bytes,3,opt,name=autotest,proto3,oneof"`
}

func (*RunTestRequest_Autotest_) isRunTestRequest_Test() {}

// RunTestResponse defines the output of `phosphorus runtest`.
type RunTestResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// `phosphorus runtest` exits with exit code 0 unless there is an
	// infrastructure failure. When the exit code is 0, `state` indicates the
	// best known state of the test execution (see comments on State enum).
	State RunTestResponse_State `protobuf:"varint,1,opt,name=state,proto3,enum=test_platform.phosphorus.RunTestResponse_State" json:"state,omitempty"`
	// Absolute path to the test results directory created by `runtest`.
	// Must be inside config.task.results_dir (the overall results directory).
	ResultsDir string `protobuf:"bytes,2,opt,name=results_dir,json=resultsDir,proto3" json:"results_dir,omitempty"`
}

func (x *RunTestResponse) Reset() {
	*x = RunTestResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_phosphorus_runtest_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RunTestResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunTestResponse) ProtoMessage() {}

func (x *RunTestResponse) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_phosphorus_runtest_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunTestResponse.ProtoReflect.Descriptor instead.
func (*RunTestResponse) Descriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_runtest_proto_rawDescGZIP(), []int{1}
}

func (x *RunTestResponse) GetState() RunTestResponse_State {
	if x != nil {
		return x.State
	}
	return RunTestResponse_STATE_UNSPECIFIED
}

func (x *RunTestResponse) GetResultsDir() string {
	if x != nil {
		return x.ResultsDir
	}
	return ""
}

// Autotest describes the DUT-agnostic parameters of an autotest test run.
type RunTestRequest_Autotest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Test name as given in the control file.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Args to pass into the test run (meaning depends on the test).
	TestArgs string `protobuf:"bytes,2,opt,name=test_args,json=testArgs,proto3" json:"test_args,omitempty"`
	// Name to be used to display this test's output artifacts, e.g. logs,
	// results etc. By default display_name is the same as name.
	DisplayName string `protobuf:"bytes,3,opt,name=display_name,json=displayName,proto3" json:"display_name,omitempty"`
	// True for client-side tests, false for server-side tests.
	IsClientTest bool `protobuf:"varint,4,opt,name=is_client_test,json=isClientTest,proto3" json:"is_client_test,omitempty"`
	// Key:value pairs added to the autoserv command. These are metadata which
	// should not affect code execution.
	Keyvals map[string]string `protobuf:"bytes,5,rep,name=keyvals,proto3" json:"keyvals,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// Hostname of peer DUTs in a multi-DUTs task.
	PeerDuts []string `protobuf:"bytes,6,rep,name=peer_duts,json=peerDuts,proto3" json:"peer_duts,omitempty"`
	// The image storage server to fetch the image from.
	// e.g. gs://chromeos-image-archive or gs://chromeos-releases-test
	ImageStorageServer string `protobuf:"bytes,7,opt,name=image_storage_server,json=imageStorageServer,proto3" json:"image_storage_server,omitempty"`
}

func (x *RunTestRequest_Autotest) Reset() {
	*x = RunTestRequest_Autotest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_phosphorus_runtest_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RunTestRequest_Autotest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunTestRequest_Autotest) ProtoMessage() {}

func (x *RunTestRequest_Autotest) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_phosphorus_runtest_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunTestRequest_Autotest.ProtoReflect.Descriptor instead.
func (*RunTestRequest_Autotest) Descriptor() ([]byte, []int) {
	return file_test_platform_phosphorus_runtest_proto_rawDescGZIP(), []int{0, 0}
}

func (x *RunTestRequest_Autotest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *RunTestRequest_Autotest) GetTestArgs() string {
	if x != nil {
		return x.TestArgs
	}
	return ""
}

func (x *RunTestRequest_Autotest) GetDisplayName() string {
	if x != nil {
		return x.DisplayName
	}
	return ""
}

func (x *RunTestRequest_Autotest) GetIsClientTest() bool {
	if x != nil {
		return x.IsClientTest
	}
	return false
}

func (x *RunTestRequest_Autotest) GetKeyvals() map[string]string {
	if x != nil {
		return x.Keyvals
	}
	return nil
}

func (x *RunTestRequest_Autotest) GetPeerDuts() []string {
	if x != nil {
		return x.PeerDuts
	}
	return nil
}

func (x *RunTestRequest_Autotest) GetImageStorageServer() string {
	if x != nil {
		return x.ImageStorageServer
	}
	return ""
}

var File_test_platform_phosphorus_runtest_proto protoreflect.FileDescriptor

var file_test_platform_phosphorus_runtest_proto_rawDesc = []byte{
	0x0a, 0x26, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2f, 0x72, 0x75, 0x6e, 0x74, 0x65,
	0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x18, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70,
	0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72,
	0x75, 0x73, 0x1a, 0x2d, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x62,
	0x75, 0x69, 0x6c, 0x64, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e,
	0x65, 0x72, 0x5f, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x25, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
	0x6d, 0x2f, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x8f, 0x06, 0x0a, 0x0e, 0x52, 0x75,
	0x6e, 0x54, 0x65, 0x73, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x38, 0x0a, 0x06,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f,
	0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x23, 0x0a, 0x0d, 0x64, 0x75, 0x74, 0x5f, 0x68, 0x6f,
	0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0c, 0x64,
	0x75, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x4f, 0x0a, 0x08, 0x61,
	0x75, 0x74, 0x6f, 0x74, 0x65, 0x73, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x31, 0x2e,
	0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68,
	0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x52, 0x75, 0x6e, 0x54, 0x65, 0x73, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x41, 0x75, 0x74, 0x6f, 0x74, 0x65, 0x73, 0x74,
	0x48, 0x00, 0x52, 0x08, 0x61, 0x75, 0x74, 0x6f, 0x74, 0x65, 0x73, 0x74, 0x12, 0x36, 0x0a, 0x08,
	0x64, 0x65, 0x61, 0x64, 0x6c, 0x69, 0x6e, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x08, 0x64, 0x65, 0x61, 0x64,
	0x6c, 0x69, 0x6e, 0x65, 0x12, 0x5a, 0x0a, 0x14, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65,
	0x72, 0x5f, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x28, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e,
	0x62, 0x75, 0x69, 0x6c, 0x64, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x61, 0x69,
	0x6e, 0x65, 0x72, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x12, 0x63, 0x6f,
	0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x72, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x49, 0x6e, 0x66, 0x6f,
	0x12, 0x32, 0x0a, 0x15, 0x6d, 0x61, 0x78, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x13, 0x6d, 0x61, 0x78, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x63,
	0x6f, 0x6e, 0x64, 0x73, 0x1a, 0xe9, 0x02, 0x0a, 0x08, 0x41, 0x75, 0x74, 0x6f, 0x74, 0x65, 0x73,
	0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x61, 0x72,
	0x67, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x65, 0x73, 0x74, 0x41, 0x72,
	0x67, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x64, 0x69, 0x73, 0x70, 0x6c, 0x61, 0x79, 0x5f, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x69, 0x73, 0x70, 0x6c, 0x61,
	0x79, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x24, 0x0a, 0x0e, 0x69, 0x73, 0x5f, 0x63, 0x6c, 0x69, 0x65,
	0x6e, 0x74, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c, 0x69,
	0x73, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x73, 0x74, 0x12, 0x58, 0x0a, 0x07, 0x6b,
	0x65, 0x79, 0x76, 0x61, 0x6c, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3e, 0x2e, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x68, 0x6f,
	0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x52, 0x75, 0x6e, 0x54, 0x65, 0x73, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x41, 0x75, 0x74, 0x6f, 0x74, 0x65, 0x73, 0x74, 0x2e,
	0x4b, 0x65, 0x79, 0x76, 0x61, 0x6c, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07, 0x6b, 0x65,
	0x79, 0x76, 0x61, 0x6c, 0x73, 0x12, 0x1b, 0x0a, 0x09, 0x70, 0x65, 0x65, 0x72, 0x5f, 0x64, 0x75,
	0x74, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x08, 0x70, 0x65, 0x65, 0x72, 0x44, 0x75,
	0x74, 0x73, 0x12, 0x30, 0x0a, 0x14, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x5f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x12, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x53, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x1a, 0x3a, 0x0a, 0x0c, 0x4b, 0x65, 0x79, 0x76, 0x61, 0x6c, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01,
	0x42, 0x06, 0x0a, 0x04, 0x74, 0x65, 0x73, 0x74, 0x4a, 0x04, 0x08, 0x04, 0x10, 0x05, 0x52, 0x0b,
	0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0xd0, 0x01, 0x0a, 0x0f,
	0x52, 0x75, 0x6e, 0x54, 0x65, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x45, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2f,
	0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70,
	0x68, 0x6f, 0x73, 0x70, 0x68, 0x6f, 0x72, 0x75, 0x73, 0x2e, 0x52, 0x75, 0x6e, 0x54, 0x65, 0x73,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52,
	0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x73, 0x5f, 0x64, 0x69, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x73,
	0x75, 0x6c, 0x74, 0x73, 0x44, 0x69, 0x72, 0x22, 0x55, 0x0a, 0x05, 0x53, 0x74, 0x61, 0x74, 0x65,
	0x12, 0x15, 0x0a, 0x11, 0x53, 0x54, 0x41, 0x54, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43,
	0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x53, 0x55, 0x43, 0x43, 0x45,
	0x45, 0x44, 0x45, 0x44, 0x10, 0x01, 0x12, 0x0a, 0x0a, 0x06, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44,
	0x10, 0x02, 0x12, 0x0d, 0x0a, 0x09, 0x54, 0x49, 0x4d, 0x45, 0x44, 0x5f, 0x4f, 0x55, 0x54, 0x10,
	0x03, 0x12, 0x0b, 0x0a, 0x07, 0x41, 0x42, 0x4f, 0x52, 0x54, 0x45, 0x44, 0x10, 0x04, 0x42, 0x44,
	0x5a, 0x42, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f, 0x72,
	0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e, 0x66,
	0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65, 0x73, 0x74,
	0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x70, 0x68, 0x6f, 0x73, 0x70, 0x68,
	0x6f, 0x72, 0x75, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_phosphorus_runtest_proto_rawDescOnce sync.Once
	file_test_platform_phosphorus_runtest_proto_rawDescData = file_test_platform_phosphorus_runtest_proto_rawDesc
)

func file_test_platform_phosphorus_runtest_proto_rawDescGZIP() []byte {
	file_test_platform_phosphorus_runtest_proto_rawDescOnce.Do(func() {
		file_test_platform_phosphorus_runtest_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_phosphorus_runtest_proto_rawDescData)
	})
	return file_test_platform_phosphorus_runtest_proto_rawDescData
}

var file_test_platform_phosphorus_runtest_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_test_platform_phosphorus_runtest_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_test_platform_phosphorus_runtest_proto_goTypes = []interface{}{
	(RunTestResponse_State)(0),      // 0: test_platform.phosphorus.RunTestResponse.State
	(*RunTestRequest)(nil),          // 1: test_platform.phosphorus.RunTestRequest
	(*RunTestResponse)(nil),         // 2: test_platform.phosphorus.RunTestResponse
	(*RunTestRequest_Autotest)(nil), // 3: test_platform.phosphorus.RunTestRequest.Autotest
	nil,                             // 4: test_platform.phosphorus.RunTestRequest.Autotest.KeyvalsEntry
	(*Config)(nil),                  // 5: test_platform.phosphorus.Config
	(*timestamppb.Timestamp)(nil),   // 6: google.protobuf.Timestamp
	(*api.ContainerImageInfo)(nil),  // 7: chromiumos.build.api.ContainerImageInfo
}
var file_test_platform_phosphorus_runtest_proto_depIdxs = []int32{
	5, // 0: test_platform.phosphorus.RunTestRequest.config:type_name -> test_platform.phosphorus.Config
	3, // 1: test_platform.phosphorus.RunTestRequest.autotest:type_name -> test_platform.phosphorus.RunTestRequest.Autotest
	6, // 2: test_platform.phosphorus.RunTestRequest.deadline:type_name -> google.protobuf.Timestamp
	7, // 3: test_platform.phosphorus.RunTestRequest.container_image_info:type_name -> chromiumos.build.api.ContainerImageInfo
	0, // 4: test_platform.phosphorus.RunTestResponse.state:type_name -> test_platform.phosphorus.RunTestResponse.State
	4, // 5: test_platform.phosphorus.RunTestRequest.Autotest.keyvals:type_name -> test_platform.phosphorus.RunTestRequest.Autotest.KeyvalsEntry
	6, // [6:6] is the sub-list for method output_type
	6, // [6:6] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_test_platform_phosphorus_runtest_proto_init() }
func file_test_platform_phosphorus_runtest_proto_init() {
	if File_test_platform_phosphorus_runtest_proto != nil {
		return
	}
	file_test_platform_phosphorus_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_test_platform_phosphorus_runtest_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RunTestRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_phosphorus_runtest_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RunTestResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_phosphorus_runtest_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RunTestRequest_Autotest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_test_platform_phosphorus_runtest_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*RunTestRequest_Autotest_)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_phosphorus_runtest_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_phosphorus_runtest_proto_goTypes,
		DependencyIndexes: file_test_platform_phosphorus_runtest_proto_depIdxs,
		EnumInfos:         file_test_platform_phosphorus_runtest_proto_enumTypes,
		MessageInfos:      file_test_platform_phosphorus_runtest_proto_msgTypes,
	}.Build()
	File_test_platform_phosphorus_runtest_proto = out.File
	file_test_platform_phosphorus_runtest_proto_rawDesc = nil
	file_test_platform_phosphorus_runtest_proto_goTypes = nil
	file_test_platform_phosphorus_runtest_proto_depIdxs = nil
}
