// Copyright 2023 The ChromiumOS Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/skylab_test_runner/cros_test_runner_service.proto

package skylab_test_runner

import (
	api "go.chromium.org/chromiumos/config/go/test/lab/api"
	test_platform "go.chromium.org/chromiumos/infra/proto/go/test_platform"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// CrosTestRunnerServerStartRequest represents the server start request for
// cros test runner service. Any data that should be used throughout the whole
// service session should be provided through this proto.
type CrosTestRunnerServerStartRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HostName              string           `protobuf:"bytes,1,opt,name=host_name,json=hostName,proto3" json:"host_name,omitempty"`
	LogDataGsRoot         string           `protobuf:"bytes,2,opt,name=log_data_gs_root,json=logDataGsRoot,proto3" json:"log_data_gs_root,omitempty"`
	DockerKeyFileLocation string           `protobuf:"bytes,3,opt,name=docker_key_file_location,json=dockerKeyFileLocation,proto3" json:"docker_key_file_location,omitempty"`
	DutTopology           *api.DutTopology `protobuf:"bytes,4,opt,name=dut_topology,json=dutTopology,proto3" json:"dut_topology,omitempty"`
	UseDockerKeyDirectly  bool             `protobuf:"varint,5,opt,name=use_docker_key_directly,json=useDockerKeyDirectly,proto3" json:"use_docker_key_directly,omitempty"`
}

func (x *CrosTestRunnerServerStartRequest) Reset() {
	*x = CrosTestRunnerServerStartRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CrosTestRunnerServerStartRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CrosTestRunnerServerStartRequest) ProtoMessage() {}

func (x *CrosTestRunnerServerStartRequest) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CrosTestRunnerServerStartRequest.ProtoReflect.Descriptor instead.
func (*CrosTestRunnerServerStartRequest) Descriptor() ([]byte, []int) {
	return file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescGZIP(), []int{0}
}

func (x *CrosTestRunnerServerStartRequest) GetHostName() string {
	if x != nil {
		return x.HostName
	}
	return ""
}

func (x *CrosTestRunnerServerStartRequest) GetLogDataGsRoot() string {
	if x != nil {
		return x.LogDataGsRoot
	}
	return ""
}

func (x *CrosTestRunnerServerStartRequest) GetDockerKeyFileLocation() string {
	if x != nil {
		return x.DockerKeyFileLocation
	}
	return ""
}

func (x *CrosTestRunnerServerStartRequest) GetDutTopology() *api.DutTopology {
	if x != nil {
		return x.DutTopology
	}
	return nil
}

func (x *CrosTestRunnerServerStartRequest) GetUseDockerKeyDirectly() bool {
	if x != nil {
		return x.UseDockerKeyDirectly
	}
	return false
}

// ExecuteRequest represents the request for cros test runner service.
type ExecuteRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Only one suite will be supported inside testplans.
	// Different suites will have to make separate rpc calls.
	// If test_plan provided, cft_test_request.test_suites will be constructed
	// from it.
	TestPlan *test_platform.Request_TestPlan `protobuf:"bytes,1,opt,name=test_plan,json=testPlan,proto3" json:"test_plan,omitempty"`
	// cft_test_request is always required. This also includes steps config
	// which will provide clients maximum freedom to choose which steps to
	// execute.
	CftTestRequest *CFTTestRequest `protobuf:"bytes,2,opt,name=cft_test_request,json=cftTestRequest,proto3" json:"cft_test_request,omitempty"`
	// Cros-tool-runner cipd version to use.
	CtrCipdVersion string `protobuf:"bytes,3,opt,name=ctr_cipd_version,json=ctrCipdVersion,proto3" json:"ctr_cipd_version,omitempty"`
	// Local path to cros-tool-runner binary to run with; this field is meant to
	// be an alternative to ctr_cipd_version and will take priority over it
	PathToCipdBin string `protobuf:"bytes,5,opt,name=path_to_cipd_bin,json=pathToCipdBin,proto3" json:"path_to_cipd_bin,omitempty"`
	// Path to where the test artifacts are going to be stored. It's callers
	// responsibility to make sure this path is valid and unique per execution.
	ArtifactsPath string `protobuf:"bytes,4,opt,name=artifacts_path,json=artifactsPath,proto3" json:"artifacts_path,omitempty"`
}

func (x *ExecuteRequest) Reset() {
	*x = ExecuteRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExecuteRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExecuteRequest) ProtoMessage() {}

func (x *ExecuteRequest) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExecuteRequest.ProtoReflect.Descriptor instead.
func (*ExecuteRequest) Descriptor() ([]byte, []int) {
	return file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescGZIP(), []int{1}
}

func (x *ExecuteRequest) GetTestPlan() *test_platform.Request_TestPlan {
	if x != nil {
		return x.TestPlan
	}
	return nil
}

func (x *ExecuteRequest) GetCftTestRequest() *CFTTestRequest {
	if x != nil {
		return x.CftTestRequest
	}
	return nil
}

func (x *ExecuteRequest) GetCtrCipdVersion() string {
	if x != nil {
		return x.CtrCipdVersion
	}
	return ""
}

func (x *ExecuteRequest) GetPathToCipdBin() string {
	if x != nil {
		return x.PathToCipdBin
	}
	return ""
}

func (x *ExecuteRequest) GetArtifactsPath() string {
	if x != nil {
		return x.ArtifactsPath
	}
	return ""
}

// ExecuteResponse represents the response for cros test runner service.
type ExecuteResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Result *Result `protobuf:"bytes,1,opt,name=result,proto3" json:"result,omitempty"`
}

func (x *ExecuteResponse) Reset() {
	*x = ExecuteResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExecuteResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExecuteResponse) ProtoMessage() {}

func (x *ExecuteResponse) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExecuteResponse.ProtoReflect.Descriptor instead.
func (*ExecuteResponse) Descriptor() ([]byte, []int) {
	return file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescGZIP(), []int{2}
}

func (x *ExecuteResponse) GetResult() *Result {
	if x != nil {
		return x.Result
	}
	return nil
}

var File_test_platform_skylab_test_runner_cros_test_runner_service_proto protoreflect.FileDescriptor

var file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDesc = []byte{
	0x0a, 0x3f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e, 0x6e,
	0x65, 0x72, 0x2f, 0x63, 0x72, 0x6f, 0x73, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e,
	0x6e, 0x65, 0x72, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x20, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2e, 0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e,
	0x6e, 0x65, 0x72, 0x1a, 0x1b, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
	0x72, 0x6d, 0x2f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x21, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x74, 0x65, 0x73,
	0x74, 0x2f, 0x6c, 0x61, 0x62, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x64, 0x75, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x32, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
	0x72, 0x6d, 0x2f, 0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72,
	0x75, 0x6e, 0x6e, 0x65, 0x72, 0x2f, 0x63, 0x66, 0x74, 0x5f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2d, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c,
	0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x2f, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa1, 0x02, 0x0a, 0x20, 0x43, 0x72, 0x6f, 0x73, 0x54,
	0x65, 0x73, 0x74, 0x52, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x53,
	0x74, 0x61, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1b, 0x0a, 0x09, 0x68,
	0x6f, 0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x68, 0x6f, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x27, 0x0a, 0x10, 0x6c, 0x6f, 0x67, 0x5f,
	0x64, 0x61, 0x74, 0x61, 0x5f, 0x67, 0x73, 0x5f, 0x72, 0x6f, 0x6f, 0x74, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0d, 0x6c, 0x6f, 0x67, 0x44, 0x61, 0x74, 0x61, 0x47, 0x73, 0x52, 0x6f, 0x6f,
	0x74, 0x12, 0x37, 0x0a, 0x18, 0x64, 0x6f, 0x63, 0x6b, 0x65, 0x72, 0x5f, 0x6b, 0x65, 0x79, 0x5f,
	0x66, 0x69, 0x6c, 0x65, 0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x15, 0x64, 0x6f, 0x63, 0x6b, 0x65, 0x72, 0x4b, 0x65, 0x79, 0x46, 0x69,
	0x6c, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x47, 0x0a, 0x0c, 0x64, 0x75,
	0x74, 0x5f, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x24, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2e, 0x74, 0x65,
	0x73, 0x74, 0x2e, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x44, 0x75, 0x74, 0x54, 0x6f,
	0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x52, 0x0b, 0x64, 0x75, 0x74, 0x54, 0x6f, 0x70, 0x6f, 0x6c,
	0x6f, 0x67, 0x79, 0x12, 0x35, 0x0a, 0x17, 0x75, 0x73, 0x65, 0x5f, 0x64, 0x6f, 0x63, 0x6b, 0x65,
	0x72, 0x5f, 0x6b, 0x65, 0x79, 0x5f, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6c, 0x79, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x14, 0x75, 0x73, 0x65, 0x44, 0x6f, 0x63, 0x6b, 0x65, 0x72, 0x4b,
	0x65, 0x79, 0x44, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6c, 0x79, 0x22, 0xa4, 0x02, 0x0a, 0x0e, 0x45,
	0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a,
	0x09, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1f, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x54, 0x65, 0x73, 0x74, 0x50, 0x6c, 0x61,
	0x6e, 0x52, 0x08, 0x74, 0x65, 0x73, 0x74, 0x50, 0x6c, 0x61, 0x6e, 0x12, 0x5a, 0x0a, 0x10, 0x63,
	0x66, 0x74, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61,
	0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65, 0x73,
	0x74, 0x5f, 0x72, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x2e, 0x43, 0x46, 0x54, 0x54, 0x65, 0x73, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0e, 0x63, 0x66, 0x74, 0x54, 0x65, 0x73, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x28, 0x0a, 0x10, 0x63, 0x74, 0x72, 0x5f, 0x63,
	0x69, 0x70, 0x64, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0e, 0x63, 0x74, 0x72, 0x43, 0x69, 0x70, 0x64, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x12, 0x27, 0x0a, 0x10, 0x70, 0x61, 0x74, 0x68, 0x5f, 0x74, 0x6f, 0x5f, 0x63, 0x69, 0x70,
	0x64, 0x5f, 0x62, 0x69, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x70, 0x61, 0x74,
	0x68, 0x54, 0x6f, 0x43, 0x69, 0x70, 0x64, 0x42, 0x69, 0x6e, 0x12, 0x25, 0x0a, 0x0e, 0x61, 0x72,
	0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0d, 0x61, 0x72, 0x74, 0x69, 0x66, 0x61, 0x63, 0x74, 0x73, 0x50, 0x61, 0x74,
	0x68, 0x22, 0x53, 0x0a, 0x0f, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x40, 0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74,
	0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x6b, 0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74,
	0x5f, 0x72, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x52, 0x06,
	0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x32, 0x87, 0x01, 0x0a, 0x15, 0x43, 0x72, 0x6f, 0x73, 0x54,
	0x65, 0x73, 0x74, 0x52, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x12, 0x6e, 0x0a, 0x07, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x12, 0x30, 0x2e, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x6b, 0x79, 0x6c,
	0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x2e, 0x45,
	0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x31, 0x2e,
	0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x6b,
	0x79, 0x6c, 0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e, 0x6e, 0x65, 0x72,
	0x2e, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x42, 0x4c, 0x5a, 0x4a, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e,
	0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65,
	0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x6b, 0x79, 0x6c,
	0x61, 0x62, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x72, 0x75, 0x6e, 0x6e, 0x65, 0x72, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescOnce sync.Once
	file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescData = file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDesc
)

func file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescGZIP() []byte {
	file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescOnce.Do(func() {
		file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescData)
	})
	return file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDescData
}

var file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_test_platform_skylab_test_runner_cros_test_runner_service_proto_goTypes = []interface{}{
	(*CrosTestRunnerServerStartRequest)(nil), // 0: test_platform.skylab_test_runner.CrosTestRunnerServerStartRequest
	(*ExecuteRequest)(nil),                   // 1: test_platform.skylab_test_runner.ExecuteRequest
	(*ExecuteResponse)(nil),                  // 2: test_platform.skylab_test_runner.ExecuteResponse
	(*api.DutTopology)(nil),                  // 3: chromiumos.test.lab.api.DutTopology
	(*test_platform.Request_TestPlan)(nil),   // 4: test_platform.Request.TestPlan
	(*CFTTestRequest)(nil),                   // 5: test_platform.skylab_test_runner.CFTTestRequest
	(*Result)(nil),                           // 6: test_platform.skylab_test_runner.Result
}
var file_test_platform_skylab_test_runner_cros_test_runner_service_proto_depIdxs = []int32{
	3, // 0: test_platform.skylab_test_runner.CrosTestRunnerServerStartRequest.dut_topology:type_name -> chromiumos.test.lab.api.DutTopology
	4, // 1: test_platform.skylab_test_runner.ExecuteRequest.test_plan:type_name -> test_platform.Request.TestPlan
	5, // 2: test_platform.skylab_test_runner.ExecuteRequest.cft_test_request:type_name -> test_platform.skylab_test_runner.CFTTestRequest
	6, // 3: test_platform.skylab_test_runner.ExecuteResponse.result:type_name -> test_platform.skylab_test_runner.Result
	1, // 4: test_platform.skylab_test_runner.CrosTestRunnerService.Execute:input_type -> test_platform.skylab_test_runner.ExecuteRequest
	2, // 5: test_platform.skylab_test_runner.CrosTestRunnerService.Execute:output_type -> test_platform.skylab_test_runner.ExecuteResponse
	5, // [5:6] is the sub-list for method output_type
	4, // [4:5] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_test_platform_skylab_test_runner_cros_test_runner_service_proto_init() }
func file_test_platform_skylab_test_runner_cros_test_runner_service_proto_init() {
	if File_test_platform_skylab_test_runner_cros_test_runner_service_proto != nil {
		return
	}
	file_test_platform_skylab_test_runner_cft_request_proto_init()
	file_test_platform_skylab_test_runner_result_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CrosTestRunnerServerStartRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExecuteRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExecuteResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_test_platform_skylab_test_runner_cros_test_runner_service_proto_goTypes,
		DependencyIndexes: file_test_platform_skylab_test_runner_cros_test_runner_service_proto_depIdxs,
		MessageInfos:      file_test_platform_skylab_test_runner_cros_test_runner_service_proto_msgTypes,
	}.Build()
	File_test_platform_skylab_test_runner_cros_test_runner_service_proto = out.File
	file_test_platform_skylab_test_runner_cros_test_runner_service_proto_rawDesc = nil
	file_test_platform_skylab_test_runner_cros_test_runner_service_proto_goTypes = nil
	file_test_platform_skylab_test_runner_cros_test_runner_service_proto_depIdxs = nil
}
