// Copyright 2023 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Define a schema for debugging events in  SuiteScheduler V1.5.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/suite_scheduler/v15/events.proto

package v15

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DecisionType int32

const (
	// UNKNOWN is the null option for the enum. If this decision is reached then
	// it should be treated as an error and handled accordingly.
	DecisionType_UNKNOWN          DecisionType = 0
	DecisionType_SCHEDULED        DecisionType = 1
	DecisionType_BUILD_NOT_FOUND  DecisionType = 3
	DecisionType_NO_PASSING_BUILD DecisionType = 4
)

// Enum value maps for DecisionType.
var (
	DecisionType_name = map[int32]string{
		0: "UNKNOWN",
		1: "SCHEDULED",
		3: "BUILD_NOT_FOUND",
		4: "NO_PASSING_BUILD",
	}
	DecisionType_value = map[string]int32{
		"UNKNOWN":          0,
		"SCHEDULED":        1,
		"BUILD_NOT_FOUND":  3,
		"NO_PASSING_BUILD": 4,
	}
)

func (x DecisionType) Enum() *DecisionType {
	p := new(DecisionType)
	*p = x
	return p
}

func (x DecisionType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DecisionType) Descriptor() protoreflect.EnumDescriptor {
	return file_test_platform_suite_scheduler_v15_events_proto_enumTypes[0].Descriptor()
}

func (DecisionType) Type() protoreflect.EnumType {
	return &file_test_platform_suite_scheduler_v15_events_proto_enumTypes[0]
}

func (x DecisionType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DecisionType.Descriptor instead.
func (DecisionType) EnumDescriptor() ([]byte, []int) {
	return file_test_platform_suite_scheduler_v15_events_proto_rawDescGZIP(), []int{0}
}

// UID is wrapped message to signifiy that the value of the field should be of a
// UID type and not just a regular string. Ideally this field would be set as
// required but proto3 removed this feature from its syntax.
type UID struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *UID) Reset() {
	*x = UID{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_suite_scheduler_v15_events_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UID) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UID) ProtoMessage() {}

func (x *UID) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_suite_scheduler_v15_events_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UID.ProtoReflect.Descriptor instead.
func (*UID) Descriptor() ([]byte, []int) {
	return file_test_platform_suite_scheduler_v15_events_proto_rawDescGZIP(), []int{0}
}

func (x *UID) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type SchedulingDecision struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type DecisionType `protobuf:"varint,1,opt,name=type,proto3,enum=test_platform.suite_scheduler.v15.DecisionType" json:"type,omitempty"`
	// If scheduled this will be false, for all other types this will be false.
	Scheduled bool `protobuf:"varint,2,opt,name=scheduled,proto3" json:"scheduled,omitempty"`
	// failed_reason contains a short snippet of why the decsion was made. E.g.
	// BUILD_NOT_FOUND -> Build R120-X-X was not found in 'ABC'.
	FailedReason string `protobuf:"bytes,3,opt,name=failed_reason,json=failedReason,proto3" json:"failed_reason,omitempty"`
}

func (x *SchedulingDecision) Reset() {
	*x = SchedulingDecision{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_suite_scheduler_v15_events_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SchedulingDecision) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SchedulingDecision) ProtoMessage() {}

func (x *SchedulingDecision) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_suite_scheduler_v15_events_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SchedulingDecision.ProtoReflect.Descriptor instead.
func (*SchedulingDecision) Descriptor() ([]byte, []int) {
	return file_test_platform_suite_scheduler_v15_events_proto_rawDescGZIP(), []int{1}
}

func (x *SchedulingDecision) GetType() DecisionType {
	if x != nil {
		return x.Type
	}
	return DecisionType_UNKNOWN
}

func (x *SchedulingDecision) GetScheduled() bool {
	if x != nil {
		return x.Scheduled
	}
	return false
}

func (x *SchedulingDecision) GetFailedReason() string {
	if x != nil {
		return x.FailedReason
	}
	return ""
}

type SchedulingEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// run_uid is the unique identifier of the SuiteScheduler run.
	RunUid *UID `protobuf:"bytes,1,opt,name=run_uid,json=runUid,proto3" json:"run_uid,omitempty"`
	// event_uid is the unique identifier of the event being described.
	EventUid *UID `protobuf:"bytes,2,opt,name=event_uid,json=eventUid,proto3" json:"event_uid,omitempty"`
	// config_name is the name of the SuiteScheduler name, not the name of the
	// test suite being ran.
	ConfigName string `protobuf:"bytes,3,opt,name=config_name,json=configName,proto3" json:"config_name,omitempty"`
	// suite_name is the name of the test suite being ran
	SuiteName string `protobuf:"bytes,4,opt,name=suite_name,json=suiteName,proto3" json:"suite_name,omitempty"`
	// event_time is captured once a choice, to schedule or not, was made.
	EventTime *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=event_time,json=eventTime,proto3" json:"event_time,omitempty"`
	Decision  *SchedulingDecision    `protobuf:"bytes,6,opt,name=decision,proto3" json:"decision,omitempty"`
	// If the config led to a a scheduled suite, attach all bbid's that were fired
	// off as a result.
	Bbids []int64 `protobuf:"varint,7,rep,packed,name=bbids,proto3" json:"bbids,omitempty"`
}

func (x *SchedulingEvent) Reset() {
	*x = SchedulingEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_suite_scheduler_v15_events_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SchedulingEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SchedulingEvent) ProtoMessage() {}

func (x *SchedulingEvent) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_suite_scheduler_v15_events_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SchedulingEvent.ProtoReflect.Descriptor instead.
func (*SchedulingEvent) Descriptor() ([]byte, []int) {
	return file_test_platform_suite_scheduler_v15_events_proto_rawDescGZIP(), []int{2}
}

func (x *SchedulingEvent) GetRunUid() *UID {
	if x != nil {
		return x.RunUid
	}
	return nil
}

func (x *SchedulingEvent) GetEventUid() *UID {
	if x != nil {
		return x.EventUid
	}
	return nil
}

func (x *SchedulingEvent) GetConfigName() string {
	if x != nil {
		return x.ConfigName
	}
	return ""
}

func (x *SchedulingEvent) GetSuiteName() string {
	if x != nil {
		return x.SuiteName
	}
	return ""
}

func (x *SchedulingEvent) GetEventTime() *timestamppb.Timestamp {
	if x != nil {
		return x.EventTime
	}
	return nil
}

func (x *SchedulingEvent) GetDecision() *SchedulingDecision {
	if x != nil {
		return x.Decision
	}
	return nil
}

func (x *SchedulingEvent) GetBbids() []int64 {
	if x != nil {
		return x.Bbids
	}
	return nil
}

var File_test_platform_suite_scheduler_v15_events_proto protoreflect.FileDescriptor

var file_test_platform_suite_scheduler_v15_events_proto_rawDesc = []byte{
	0x0a, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2f,
	0x76, 0x31, 0x35, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x21, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x35, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0x15, 0x0a, 0x03, 0x55, 0x49, 0x44, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x9c, 0x01, 0x0a, 0x12,
	0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x69, 0x6e, 0x67, 0x44, 0x65, 0x63, 0x69, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x2f, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2e, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x35, 0x2e, 0x44, 0x65, 0x63, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x73, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x73, 0x63, 0x68, 0x65,
	0x64, 0x75, 0x6c, 0x65, 0x64, 0x12, 0x23, 0x0a, 0x0d, 0x66, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x5f,
	0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x66, 0x61,
	0x69, 0x6c, 0x65, 0x64, 0x52, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x22, 0xfb, 0x02, 0x0a, 0x0f, 0x53,
	0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x69, 0x6e, 0x67, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x3f,
	0x0a, 0x07, 0x72, 0x75, 0x6e, 0x5f, 0x75, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x26, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x35, 0x2e, 0x55, 0x49, 0x44, 0x52, 0x06, 0x72, 0x75, 0x6e, 0x55, 0x69, 0x64, 0x12,
	0x43, 0x0a, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x75, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x26, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f,
	0x72, 0x6d, 0x2e, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x35, 0x2e, 0x55, 0x49, 0x44, 0x52, 0x08, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x55, 0x69, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x75, 0x69, 0x74, 0x65,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x39, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x69,
	0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x12,
	0x51, 0x0a, 0x08, 0x64, 0x65, 0x63, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x35, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72,
	0x6d, 0x2e, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x35, 0x2e, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x69, 0x6e, 0x67,
	0x44, 0x65, 0x63, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x64, 0x65, 0x63, 0x69, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x62, 0x69, 0x64, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28,
	0x03, 0x52, 0x05, 0x62, 0x62, 0x69, 0x64, 0x73, 0x2a, 0x55, 0x0a, 0x0c, 0x44, 0x65, 0x63, 0x69,
	0x73, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0b, 0x0a, 0x07, 0x55, 0x4e, 0x4b, 0x4e,
	0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x53, 0x43, 0x48, 0x45, 0x44, 0x55, 0x4c,
	0x45, 0x44, 0x10, 0x01, 0x12, 0x13, 0x0a, 0x0f, 0x42, 0x55, 0x49, 0x4c, 0x44, 0x5f, 0x4e, 0x4f,
	0x54, 0x5f, 0x46, 0x4f, 0x55, 0x4e, 0x44, 0x10, 0x03, 0x12, 0x14, 0x0a, 0x10, 0x4e, 0x4f, 0x5f,
	0x50, 0x41, 0x53, 0x53, 0x49, 0x4e, 0x47, 0x5f, 0x42, 0x55, 0x49, 0x4c, 0x44, 0x10, 0x04, 0x42,
	0x4d, 0x5a, 0x4b, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x2e, 0x6f,
	0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74, 0x65, 0x73,
	0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x75, 0x69, 0x74, 0x65,
	0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x35, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_suite_scheduler_v15_events_proto_rawDescOnce sync.Once
	file_test_platform_suite_scheduler_v15_events_proto_rawDescData = file_test_platform_suite_scheduler_v15_events_proto_rawDesc
)

func file_test_platform_suite_scheduler_v15_events_proto_rawDescGZIP() []byte {
	file_test_platform_suite_scheduler_v15_events_proto_rawDescOnce.Do(func() {
		file_test_platform_suite_scheduler_v15_events_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_suite_scheduler_v15_events_proto_rawDescData)
	})
	return file_test_platform_suite_scheduler_v15_events_proto_rawDescData
}

var file_test_platform_suite_scheduler_v15_events_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_test_platform_suite_scheduler_v15_events_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_test_platform_suite_scheduler_v15_events_proto_goTypes = []interface{}{
	(DecisionType)(0),             // 0: test_platform.suite_scheduler.v15.DecisionType
	(*UID)(nil),                   // 1: test_platform.suite_scheduler.v15.UID
	(*SchedulingDecision)(nil),    // 2: test_platform.suite_scheduler.v15.SchedulingDecision
	(*SchedulingEvent)(nil),       // 3: test_platform.suite_scheduler.v15.SchedulingEvent
	(*timestamppb.Timestamp)(nil), // 4: google.protobuf.Timestamp
}
var file_test_platform_suite_scheduler_v15_events_proto_depIdxs = []int32{
	0, // 0: test_platform.suite_scheduler.v15.SchedulingDecision.type:type_name -> test_platform.suite_scheduler.v15.DecisionType
	1, // 1: test_platform.suite_scheduler.v15.SchedulingEvent.run_uid:type_name -> test_platform.suite_scheduler.v15.UID
	1, // 2: test_platform.suite_scheduler.v15.SchedulingEvent.event_uid:type_name -> test_platform.suite_scheduler.v15.UID
	4, // 3: test_platform.suite_scheduler.v15.SchedulingEvent.event_time:type_name -> google.protobuf.Timestamp
	2, // 4: test_platform.suite_scheduler.v15.SchedulingEvent.decision:type_name -> test_platform.suite_scheduler.v15.SchedulingDecision
	5, // [5:5] is the sub-list for method output_type
	5, // [5:5] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_test_platform_suite_scheduler_v15_events_proto_init() }
func file_test_platform_suite_scheduler_v15_events_proto_init() {
	if File_test_platform_suite_scheduler_v15_events_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_test_platform_suite_scheduler_v15_events_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UID); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_suite_scheduler_v15_events_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SchedulingDecision); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_test_platform_suite_scheduler_v15_events_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SchedulingEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_suite_scheduler_v15_events_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_suite_scheduler_v15_events_proto_goTypes,
		DependencyIndexes: file_test_platform_suite_scheduler_v15_events_proto_depIdxs,
		EnumInfos:         file_test_platform_suite_scheduler_v15_events_proto_enumTypes,
		MessageInfos:      file_test_platform_suite_scheduler_v15_events_proto_msgTypes,
	}.Build()
	File_test_platform_suite_scheduler_v15_events_proto = out.File
	file_test_platform_suite_scheduler_v15_events_proto_rawDesc = nil
	file_test_platform_suite_scheduler_v15_events_proto_goTypes = nil
	file_test_platform_suite_scheduler_v15_events_proto_depIdxs = nil
}
