// Copyright 2023 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Define a schema for debugging events in  SuiteScheduler V1.5.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.1
// source: test_platform/suite_scheduler/v15/metrics.proto

package v15

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SchedulingRun struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// run_uid represents the unique identifier of the SuiteScheduler run.
	RunUid *UID `protobuf:"bytes,1,opt,name=run_uid,json=runUid,proto3" json:"run_uid,omitempty"`
	// Timestamps used to deduce the runtime of application invocations.
	StartTime *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	EndTime   *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	// config_names contains the list of suites acted upon in this invocation of
	// the application.
	ConfigNames []string `protobuf:"bytes,4,rep,name=config_names,json=configNames,proto3" json:"config_names,omitempty"`
	// The following two fields will be filled with the event UIDs of the
	// respective scheduling decision event.
	ScheduledSuites []*UID `protobuf:"bytes,5,rep,name=scheduled_suites,json=scheduledSuites,proto3" json:"scheduled_suites,omitempty"`
	RejectedSuites  []*UID `protobuf:"bytes,6,rep,name=rejected_suites,json=rejectedSuites,proto3" json:"rejected_suites,omitempty"`
}

func (x *SchedulingRun) Reset() {
	*x = SchedulingRun{}
	if protoimpl.UnsafeEnabled {
		mi := &file_test_platform_suite_scheduler_v15_metrics_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SchedulingRun) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SchedulingRun) ProtoMessage() {}

func (x *SchedulingRun) ProtoReflect() protoreflect.Message {
	mi := &file_test_platform_suite_scheduler_v15_metrics_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SchedulingRun.ProtoReflect.Descriptor instead.
func (*SchedulingRun) Descriptor() ([]byte, []int) {
	return file_test_platform_suite_scheduler_v15_metrics_proto_rawDescGZIP(), []int{0}
}

func (x *SchedulingRun) GetRunUid() *UID {
	if x != nil {
		return x.RunUid
	}
	return nil
}

func (x *SchedulingRun) GetStartTime() *timestamppb.Timestamp {
	if x != nil {
		return x.StartTime
	}
	return nil
}

func (x *SchedulingRun) GetEndTime() *timestamppb.Timestamp {
	if x != nil {
		return x.EndTime
	}
	return nil
}

func (x *SchedulingRun) GetConfigNames() []string {
	if x != nil {
		return x.ConfigNames
	}
	return nil
}

func (x *SchedulingRun) GetScheduledSuites() []*UID {
	if x != nil {
		return x.ScheduledSuites
	}
	return nil
}

func (x *SchedulingRun) GetRejectedSuites() []*UID {
	if x != nil {
		return x.RejectedSuites
	}
	return nil
}

var File_test_platform_suite_scheduler_v15_metrics_proto protoreflect.FileDescriptor

var file_test_platform_suite_scheduler_v15_metrics_proto_rawDesc = []byte{
	0x0a, 0x2f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2f,
	0x76, 0x31, 0x35, 0x2f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x21, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d,
	0x2e, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x35, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74,
	0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x35, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x89, 0x03, 0x0a, 0x0d, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x69, 0x6e, 0x67, 0x52, 0x75, 0x6e, 0x12, 0x3f, 0x0a, 0x07, 0x72, 0x75, 0x6e, 0x5f, 0x75,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f,
	0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73,
	0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x35, 0x2e, 0x55, 0x49, 0x44,
	0x52, 0x06, 0x72, 0x75, 0x6e, 0x55, 0x69, 0x64, 0x12, 0x39, 0x0a, 0x0a, 0x73, 0x74, 0x61, 0x72,
	0x74, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x54,
	0x69, 0x6d, 0x65, 0x12, 0x35, 0x0a, 0x08, 0x65, 0x6e, 0x64, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x52, 0x07, 0x65, 0x6e, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x51, 0x0a,
	0x10, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x64, 0x5f, 0x73, 0x75, 0x69, 0x74, 0x65,
	0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x70,
	0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f, 0x73, 0x63,
	0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x35, 0x2e, 0x55, 0x49, 0x44, 0x52,
	0x0f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x64, 0x53, 0x75, 0x69, 0x74, 0x65, 0x73,
	0x12, 0x4f, 0x0a, 0x0f, 0x72, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x65, 0x64, 0x5f, 0x73, 0x75, 0x69,
	0x74, 0x65, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x74, 0x65, 0x73, 0x74,
	0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x73, 0x75, 0x69, 0x74, 0x65, 0x5f,
	0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x35, 0x2e, 0x55, 0x49,
	0x44, 0x52, 0x0e, 0x72, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x65, 0x64, 0x53, 0x75, 0x69, 0x74, 0x65,
	0x73, 0x42, 0x4d, 0x5a, 0x4b, 0x67, 0x6f, 0x2e, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d,
	0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x68, 0x72, 0x6f, 0x6d, 0x69, 0x75, 0x6d, 0x6f, 0x73, 0x2f,
	0x69, 0x6e, 0x66, 0x72, 0x61, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x2f, 0x74,
	0x65, 0x73, 0x74, 0x5f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f, 0x73, 0x75, 0x69,
	0x74, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x35,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_test_platform_suite_scheduler_v15_metrics_proto_rawDescOnce sync.Once
	file_test_platform_suite_scheduler_v15_metrics_proto_rawDescData = file_test_platform_suite_scheduler_v15_metrics_proto_rawDesc
)

func file_test_platform_suite_scheduler_v15_metrics_proto_rawDescGZIP() []byte {
	file_test_platform_suite_scheduler_v15_metrics_proto_rawDescOnce.Do(func() {
		file_test_platform_suite_scheduler_v15_metrics_proto_rawDescData = protoimpl.X.CompressGZIP(file_test_platform_suite_scheduler_v15_metrics_proto_rawDescData)
	})
	return file_test_platform_suite_scheduler_v15_metrics_proto_rawDescData
}

var file_test_platform_suite_scheduler_v15_metrics_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_test_platform_suite_scheduler_v15_metrics_proto_goTypes = []interface{}{
	(*SchedulingRun)(nil),         // 0: test_platform.suite_scheduler.v15.SchedulingRun
	(*UID)(nil),                   // 1: test_platform.suite_scheduler.v15.UID
	(*timestamppb.Timestamp)(nil), // 2: google.protobuf.Timestamp
}
var file_test_platform_suite_scheduler_v15_metrics_proto_depIdxs = []int32{
	1, // 0: test_platform.suite_scheduler.v15.SchedulingRun.run_uid:type_name -> test_platform.suite_scheduler.v15.UID
	2, // 1: test_platform.suite_scheduler.v15.SchedulingRun.start_time:type_name -> google.protobuf.Timestamp
	2, // 2: test_platform.suite_scheduler.v15.SchedulingRun.end_time:type_name -> google.protobuf.Timestamp
	1, // 3: test_platform.suite_scheduler.v15.SchedulingRun.scheduled_suites:type_name -> test_platform.suite_scheduler.v15.UID
	1, // 4: test_platform.suite_scheduler.v15.SchedulingRun.rejected_suites:type_name -> test_platform.suite_scheduler.v15.UID
	5, // [5:5] is the sub-list for method output_type
	5, // [5:5] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_test_platform_suite_scheduler_v15_metrics_proto_init() }
func file_test_platform_suite_scheduler_v15_metrics_proto_init() {
	if File_test_platform_suite_scheduler_v15_metrics_proto != nil {
		return
	}
	file_test_platform_suite_scheduler_v15_events_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_test_platform_suite_scheduler_v15_metrics_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SchedulingRun); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_test_platform_suite_scheduler_v15_metrics_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_test_platform_suite_scheduler_v15_metrics_proto_goTypes,
		DependencyIndexes: file_test_platform_suite_scheduler_v15_metrics_proto_depIdxs,
		MessageInfos:      file_test_platform_suite_scheduler_v15_metrics_proto_msgTypes,
	}.Build()
	File_test_platform_suite_scheduler_v15_metrics_proto = out.File
	file_test_platform_suite_scheduler_v15_metrics_proto_rawDesc = nil
	file_test_platform_suite_scheduler_v15_metrics_proto_goTypes = nil
	file_test_platform_suite_scheduler_v15_metrics_proto_depIdxs = nil
}
